Date		Added
======
2008/02/13
	* Corrected a "donpcevent" missing a ":" in Cooking Quest. (bugreport:962) [Samuray22]
	* Corrected a Typo error in quest_prontera.txt. (bugreport:950)
2008/02/08
	* rev. 12188 Castle ownership displays at the start and end of WoE. [L0ne_W0lf]
	* Rev. 12187 Fixed a typo in the Lunar new year event. [L0ne_W0lf]
2008/02/07
	* Rev. 12183 Added Lunar new year event for 2008 from iRO. [L0ne_W0lf]
	- Please read the comments before enabling.
	* Rev. 12182 Updated some Airship/port npcs. [L0ne_W0lf]
	* Rev. 12181 Updated "Old Blue Box quest" and enabled it. [L0ne_W0lf]
	- This quest no longer gives unlimited Old Blue Boxes,
	  and was apparently never meant to.
2008/02/05
	* Corrected a bad duplicate name in Kafra Bank (Custom). (bugeport:921) [Samuray22]
	* Corrected a lot of ";;" Typo errors.
	-Some of this are in the bugreport:919
	* Corrected a Cutin Problem in Cooking Quest and a Delitem. (bugreport:911)
	* Corrected some typo error with "rouge". (bugreport:909)
	* Moved Custom Event folder to Custom Folder.
	* Corrected again the Cooking quest changed a close; to close2;
2008/01/31
	* Rev. 12156 Started fixing bugreport:899 and fixed bugreport:875 [L0ne_W0lf]
	* Rev. 12155 Updated Lighthalzen Town NPCs and Speed Potion quest. [L0ne_W0lf]
2008/01/20
	* Corrected one setcastledata call that I missed in r11915
2008/01/19
	* Fixed a bad countitem in cross band quest. (bugreport:840) [Samuray22]
2008/01/13
	* Corrected a bad Delitem in gunslinger quest (not job). (bugreport:763) [Samuray22]
	* Corrected a Double Welcome Message in Dungeon's Kafras. (bugreport:783)
	* Corrected a Typo error in MailBox. (bugreport:798)
2008/01/11
	* Rev. 12056 Added Veins town NPCs, mail box, and second guide. [L0ne_W0lf]
	- Updated warps for Veins. Outstanding warps are quest related.
	* Minor updates to other warp files.
2008/01/08
	* More official Cursed Abbey spawns [Playtester]
2008/01/06
	* Fixed a little Error with a label on Hall Of Fame. (bugreport:722) [Samuray22]
	* Fixed another typo error in Novice Training Ground. (bugreport:740)
	* Fixed a typo error in duplicates of Mr.Smile Quest. (bugreport:749)
2008/01/05
	* Rev. 12014 Updated Kunlun NPCs and warps. [L0ne_W0lf]
	- Didn't update the Kunlun 'Power' npcs
	- Updated Lutie and Comodo warps.
	* Fixed some slight inconsistencies with the some script headers.
2008/01/01
	* Corrected some delitems in Kyel Hyre Quest. (bugreport:690) [Samuray22]
	* Corrected a Typo error in Yuno NPCs. (bugreport:716)
	* Corrected a Typo error in Novice Training Ground. (bugreport:728)
2007/12/26
	* More official Veins spawns [Playtester]
2007/12/23
	* Fixed a line in eAAC Quest Warper causing crashes. (bugreport:641) [Paradox924X]
2007/12/22
	* Cleaned the script conf files (see topic:171384 for details) [ultramage]
2007/12/16
	* Rev. 11922 Touched up Merchant quest Biliban Kafra function [L0ne_W0lf]
	- Will now return to the previous script execution if all conditions fail.
	* Rev. 11921 Updated Louyang NPCs, quests, and warps. [L0ne_W0lf]
2007/12/14
	* Commited the quick fix "emps not respawning if the emp breaker logs off".
	  (from r11630 bureport:369) [FlavioJS]
2007/12/13
	* Rev. 11906 Maheo in Ice dungeon quest now uses setnpcdisplay. [L0ne_W0lf]
	* Rev. 11905 Minor fixes, guild manager, and a couple others. [L0ne_W0lf]
	- bugreport:579, attempt at fixing bugreport:581
	- Fixed a typo in the hunter quest. (Not noticable really.)
	* Rev. 11903 Updated Ayothaya NPCs, Quests, and Warps. [L0ne_W0lf]
	- Should also fix bugreport:586 (Footprint2 error)
2007/12/11
	* Rev. 11886 Updated Amatsu NPCs, Quests, and Warps. [L0ne_W0lf]
2007/12/09
	* Fixed a bug in r11633 always spawning only 1 chest type [ultramage]
2007/12/08
	* Removed double tabs from mapflag/warp/script/function/duplicate declarations. [FlavioJS]
2007/12/02
	* Rescripted Headgear Quests 1 (Comodo) to Aegis 10.3 Standards. [Samuray22]
	* Corrected a little Typo error in the "Inn". (bugreport:536 & 537)
	* Added Indian RO Children Week Event. Thanks $ephirot
2007/11/30
	* Added Missed Storage Password Function. (bugreport:515) [Samuray22]
2007/11/29
	* Rescripted Hair Dresser to the Aegis 10.3 Standards. [Samuray22]
2007/11/28
	* Fixed problem in the Hair Dyer NPC. (bugreport:509) [Samuray22]
2007/11/27
	* Corrected some broken warp points. (bugreport:497) [Samuray22]
	* Corrected a bug on Sample Dynamic Shop. (bugreport:421) [Samuray22]
2007/11/26
	* Rev. 11815 Fixed a bad warp in ice dungeon. [L0ne_W0lf]
	* Rev. 11814 Updated the Soul Linker job quest. [L0ne_W0lf]
	* Rev. 11813 Updated the Taekwon Master quest. [L0ne_W0lf]
	* Rev. 11811 Fixed some minor guild script related bugs. [L0ne_W0lf]
	- And no, this does NOT fix the Emperium spawning issue.
	* Rev. 11810 Updated trigger area of Payon's West exit/entrance. [L0ne_W0lf]
2007/11/25
	* Fixed a Problem in Mage Quest. (bugreport:489) [Samuray22]
	* Change a "+ name +" to "+ strcharinfo +" in a jawaii NPC.
	* Rev. 11802 Updated Super Novice Quest with iRO dialog. [L0ne_W0lf]
	- Also restructured the NPCs significantly according to iRO's script.
	* Rev. 11801 Updated Novice Potion exhanger and juice maker. [L0ne_W0lf]
	* Rev. 11800 Updated Bunny Band and Mr. Smile quests. [L0ne_W0lf]
	* Rev. 11799 Fixed an NPC error in lutie quest file (scrap " left behind.) [l0ne_W0lf]
	* Changed item names to item IDs on some scripts. [Samuray22]
2007/11/24
	* Rescripted Soul Linker Quest to Aegis 10.3 Standars. [Samuray22]
	- Bug testing Required.
	* Rescripted Super Novice Quest to Aegis 10.3 Standars.
	- Bug Testing Required.
2007/11/23
	* Fixed a error in Rogue Job Quest. (bugreport:481) [Samuray22]
2007/11/22
	* Fixed Missing Variables in Metto quest. (bugreport:473) [Samuray22]
	* Deleted some unused Variables in Bio Ethics quest.
	* Changed some bad RGB Codes in THQ. (bugreport:211)
2007/11/17
	* Rev. 11777 Fixed conf files for jmonster and eamonsters. (bugreport:432) [L0ne_W0lf]
2007/11/17
	* Rev. 11747 Fixed turbo track NPCs that caused "NPC not removed" [L0ne_W0lf]
	- errors...Even though this bug is slightly official. XD
2007/11/16
	* Rev. 11746 Fixed Guild Manager access To Guild Master only. [L0ne_W0lf]
	* Rev. 11745 Attempt at correcting a small move mistake I made [L0ne_W0lf]
	  in regards to the movement of Odin's temple's spawn file.
	* Rev. 11744 Deleted Odin temple field spawn file. Not sure [L0ne_W0lf]
	  why it stuck around after I moved it properly. O_o 
	* Rev. 11743 Renamed mob dungeon spawn files to compliment [L0ne_W0lf]
	  the warp script update. File names now match map names.
	* Moved Odin Temple spawns to dungeon folder. Split up a few other files.
	* Rev. 11742 Renamed several dungeon warp scripts [L0ne_W0lf]
	  to match their map names, split up a couple files as well.
	* Moved Ninja and Gunslinger warps to the proper file.
	* Rev. 11740 Fixes bugreport:417 and bugreport:418 [L0ne_W0lf]
	* Really fixed bugreport:407 [ultramage]
2007/11/15
	* Rev. 11733 Several fixes to various scripts. [L0ne_W0lf]
	- Resolves: bugreport:351, bugreport:379, bugreport:393, bugreport:407,
	  bugreport:414, partially resolves bug report:414
2007/11/14
	* Rev. 11729 Fixed warning in star gladiator job test. [L0ne_W0lf]
	* Fixed error in assassin job test (missing ;)
2007/11/13
	* Deleted unused variables in some Job Quest (2-1 & 2-2). [Samuray22]
	-Thanks to Ai4rei
	* Corrected a minor error respect to the header in Star Gladiator Quest. [Samuray22]
	* Updated Star Gladiator Quest to the Aegis Standards. [Samuray22]
	- Bug testing required.
2007/11/10
	* Rev 11708 Small fix to alchemist job quest that was blocking babies. [L0ne_W0lf]
2007/11/06
	* Rev 11685 Another Luina guild manager fix (In an I never updated that worked fine before.) [L0ne_W0lf]
2007/11/05
	* Rev 11678 Corrected aldeg_cas02 treasure room coordinates. [L0ne_W0lf]
	* Rev 11677 Fixed errors in the Halloween 2006 event script. :P [L0ne_W0lf]
	* Rev 11676 Added the Halloween 2006 event script. [L0ne_W0lf]
	* Rev 11675 Added the Christmas 2005 event script. [L0ne_W0lf]
	* Rev 11661 Fixed a bug in Orange Potion creating. Copy&Pasting = bad.[L0ne_W0lf]
2007/11/04
	* Updated Thor Volcano spawns [Playtester]
	* Rev. 11653 Fixed a bug in sage job quest. [L0ne_W0lf]
2007/11/03
	* Rev. 11649 Corrected an typo in the guild flag function. [L0ne_W0lf]
2007/11/02
	* Rev. 11646 Fixed some NPC headers in the custom scripts. [L0ne_W0lf]
	* Rev. 11645 Some NPC and CONF file clean up. More duplicate removal. [L0ne_W0lf]
	* Rev. 11643 Bug fixes in rogue skill quest resolved bugreport:351 [L0ne_W0lf]
2007/11/01
	* Rev. 11635 Fixed an incorrect answer in the blacksmith quiz. (Trojal) [L0ne_W0lf]
	* Rev. 11633 Rather large update to the WoE scripts. [L0ne_W0lf]
	- Eliminated unofficial map-broadcasts (opening treasures/guardian death.)
	- Fixed several errors in guardian spawning (script-wise.)
	- Treasure spawning itself is done weird... What exactly is the last
	  paramater for anyway? Near as I can see it's ALWAYS 1. Why is it used?
	  what does it do? Why is it undocumented? Mysteries and more!
	- Updated dialog and restructured several NPCs.
	* Created a unique function for novice WoE as the new manager does not support it.
	* Added timers to trigger OnAgitEliminate after Emperium is broken
	  (this was previously done from inside the source code) [ultramage]
2007/10/31
	* Rev. 11628 Fixed reward option in Arena giving potato. [L0ne_W0lf]
	* Rev. 11626 Added Turbo Track point exchanger to arena. [L0ne_W0lf]
	* Slightly optimized the existing Arena point exchanger.
	* Added Izlude Battle Arena. Please test it and report any bug you find out. [SinSloth]
	- Level 50/60/70/80 and Party arenas are accessable.
	- Updated old warps to official.
	- Acolyte-only arena will be added a bit later.
	- Arena Points can be obtained by completing arenas as well as exchanging your Turbo Track points.
	* Removed useless WIP folder whose quests have been there for a while. [SinSloth]
2007/10/30
	* Fixed a possible exploit in Thanatos Tower quest. [SinSloth]
	- Thanatos can only be summoned every 2 hours, no matter how you get there.
	* Update some missing warps in Veins City [Samuray22]
	-All credit fo to $ephiroth.
2007/10/29
	* Fixed Gaebolg quest not giving exp in some situations [Playtester]
2007/10/28
	* Rev. 11605 Updated NPC headers to fix errors caused by rev. 11603. [L0ne_W0lf]
	- Note: non-standard loaded scripts need to be checked for errors/duplicates.
	* Updated Veins Field spawn amounts to official [Playtester]
	* Added Rekenber Job quest which was missing for some unknown reason. [SinSloth]
	* Rev. 11595 Updated Bio Ethics quest to official, and re-added. [L0ne_W0lf]
2007/10/27
	* Rev. 11590 Small update to divorce NPC. [L0ne_W0lf] 
2007/10/25
	* Rev. 11577 More minor updates to a couple NPCs. [L0ne_W0lf]
	* Rev. 11576 Minor updates the Juperos Elevator NPCs. [L0ne_W0lf]
	* Rev. 11574 Minor fixes here and there to a few scripts. [L0ne_W0lf]
2007/10/24
	* Rev. 11570 Added the Advanced Refiner for Enriched ores. [L0ne_W0lf]
	- I've had this done for awhile now, but I've never submitted it. XD
2007/10/23
	* Rev. 11568 Removed duplicate Morroc city npc (bugreport:277) [L0ne_W0lf]
	- Fix to the knight job quest. (bad areawarp destination)
	* Rev. 11566 Corrected the Jawaii Ice Cream salesman. bugreport:285 [L0ne_W0lf]
	* Rev. 11565 Fixed two duplicate names in the assassin skill quest. XD [L0ne_W0lf]
	* Rev. 11564 2-x quest skill update 2/2. [L0ne_W0lf]
	* Rev. 11563 2-x quest skill update 1/2. [L0ne_W0lf]
	* Rev. 11562 Small fix for the turbo track point converter. [L0ne_W0lf]
2007/10/22
	* Rev. 11553 Another small update to the mail npcs. [L0ne_W0lf]
	* Rev. 11552 Forgot to uncomment mail NPCs in scripts_athena.conf XD [L0ne_W0lf]
	* Rev. 11550 Updated NPCs for the mail system. [L0ne_W0lf]
	* Rev. 11549 Bug fixes for the turbo track. [L0ne_W0lf]
	- Fixes both the point exchanger for exp when selecting "No" and
	  also fixes the infinite loop in the game Guide.
	* Rev. 11545 Implemented Al De Baran turbo Track. Please report any errors. [L0ne_W0lf]
2007/10/20
	* Small fixes to Hugel and Lighthalzen quests. [SinSloth]
	- 'gettimetick' checking in Schwartzvalt Trilogy now looks for both positive and negative values.
2007/10/19
	* Rev. 11527 Small Adjustment to the Juperos Elevator timer. [L0ne_W0lf]
	* Rev. 11524 Fixed the errors in the recent change to the juperos warps. [L0ne_W0lf]
	* Rev. 11523 Implemented proper Juperos Core event-driven access. [L0ne_W0lf]
	- Bug testing and further optimization required.
2007/10/18
	* Rev. 11516 Cleaned up several duplicates and NPC names. [L0ne_W0lf]
2007/10/16
	* Rev. 11496 Missed one. :> And thanks for Jetvictor for pointing it out. bugreport:239 [L0ne_W0lf]
	* Rev. 11495 Added a return at the end of several scripts. [L0ne_W0lf]
	  Should deal with errors being shown due to a recent commit by FlavioJS
2007/10/14
	* Rev. 11473 Changed "Marthilda" to "Mathilda" in the Aco and priest Job quests. [L0ne_W0lf]
	* Rev. 11472 Updated Merchant quest skill NPCs. [L0ne_W0lf]
	* Rev. 11471 Updated Archer, Mage, and Thief quest skill NPCs. [L0ne_W0lf]
	* Rev. 11470 Added headers to Acolyte, Swordman, and Novice quest skill files. [L0ne_W0lf]
	* Rev. 11469 Updated Acolyte, Swordman, and Novice quest skill NPCs. [L0ne_W0lf]
2007/10/13
	* Fixed a Little Typo Error in Breeder NPC (Custom). [Samuray22]
	-Thanks to ~AnnieRuru~.
	* Fixed a little typo error in Prontera Guide (Extra RGB Values). [Samuray22]
	-Thanks to Brainstorm.
2007/10/12
	* Fixed some bugs in the Socket Enchant NPC [Playtester]
2007/10/11
	* Fixed two prices of Socket Enchant NPC [Playtester]
	* Updated Veins Field spawns [Playtester]
2007/10/10
	* Updated Socket Enchant NPC [Playtester]
2007/10/06
	* Rev. 11376 Small bug fix in the Geffen NPCs (end -> next) care of Lesbian. [L0ne_W0lf]
	* Rev. 11375 Fixed an error in the Sage job quest, thanks to Cara. [L0ne_W0lf]
	* Removed function F_BlockHigh from Valkyrie.txt
	* Fixed scripts that used 'stoptimer' instead of 'stopnpctimer' [ultramage]
	* Updated Atroce's respawn time on Veins fields [Playtester]
2007/10/05
	* Fixed a bug in Hugel Bingo which caused wrong rotation in player locations. [SinSloth]
2007/10/01
	* Rev. 11343 Fixed an assortment of typos and bugs care of yyCC. [L0ne_W0lf]
	* Rev. 11342 Small bug fix (== -> !=) thanks to Saithis. [L0ne_W0lf]
2007/09/27
	* Optimized/simplified some poorly written code in TSQ [ultramage]
	- fixed wrong quiz answers
	- added some missing dialogue text, added some comments
	* Made some adjustments in the Sign Quest with dialogs/summoning and fixed a possible exploit earlier. [SinSloth]
2007/09/25
	* Rev. 11303 Added Veins Cool Event Corp. Rep. and Inn master. [L0ne_W0lf
	* Rev. 11302 Added Veins guide first version. [L0ne_W0lf]
	* Rev. 11298 Added Veins shops to shops.txt. [L0ne_W0lf]
	* Rev. 11296 Fixed a small bug in a Comodo NPC. (close -> close2) [L0ne_W0lf]
2007/09/24
	* Fixed a bug in the sign quest [Playtester]
	- needs further fixing, I'll leave that to SinSloth
2007/09/22
	* Rev. 11278 2-2 job quest update. Although completable, further testing (and optimizing) required. [L0ne_W0lf]
	* Rev. 11276 Added more warps between Juno Satellite and Castle Interiors. [L0ne_W0lf]
	- castle 1, 4 and 5 entrances are questionable, and will be updated as I get more information.
	* Fixed a small bug in Einbroch Pollution quest. [SinSloth]
2007/09/18
	* Rev. 11241 Added warp between Juno and Juno's WoE Satellite. [L0ne_W0lf]
	* Fixed two minor bugs in the Sign Quest and Thanatos Tower ascension. [SinSloth]
	- Players do not lose time anymore if they return the Sign around midnight.
	- Thanatos Tower code game now resets properly when entering a wrong value in the box.
2007/09/16
	* Rev. 11225 Adjusted EXP given by "Benkasttein" to be the same as that given by Maku. [L0ne_W0lf]
	* Rev. 11224 Touch-ups to the Friendship quest. [L0ne_W0lf]
	- Added EXP reward. Thanks to $ephiroth for pointing it out.
	- Added cutins for "Maku" npc, and changed "set HP" to percentheal.
2007/09/15
	* Added npc_test_duplicate.txt to /samples
	* Corrected some npc/other/ bugs
	- added missing arena.txt and fortune.txt to npc list
	- commented out arena.txt and mail.txt since it's not at all done yet
	- alphabetically-sorted the list
2007/09/14
	* Fixed several text typos in the Kiel quest [ultramage]
2007/09/12
	* Moved the Nameless Island warp npc to warps/cities/nameless.txt [Playtester]
	* Added first version of Nameless Islet sailor.
	- Players can now access Cursed Abbey for further testings.
2007/09/10
	* Updated experience rewards in a lot of quests to match upcoming rate adjustments changes. [SinSloth]
	- Please use 'getexp' command when rewarding experience in any lore-related quest.
	* Fixed Kafra Storage Exploit via Cool Event Co. Storage. Added password protection to C.E.C NPC [Lupus]
		Note: We use script based storage password due to lack of Packet/Client Storage Password Support.
		There were many complains from those servers that use extra password protection from account rippers
	- Added cutins to Cool Event Co. Staff
2007/09/09
	* Uncommented Cursed Abbey spawns [Playtester]
2007/09/08
	* Fixed the dye maker npc (see topic:162818) [ultramage]
2007/09/07
	* Rev. 11139 Slight change to the Keil Hyre quest. [L0ne_W0lf]
	- If you have remaining items after FINISHING the quest, talk
	  to Keil Hyre again and he will Remove ALL outstanding quest items.
	* Moved quest_variables.txt to /doc  [ultramage]
	* Added comments to some getitem/delitem calls
	* Disabled nightmare drop in the custom mvp arena script
	* Fixed problem with baby novice + swordsman quest (topic:160247)
	* Fixed a typo and problem in the airship typing challenge
2007/08/30
	* Updated Cursed Abbey spawns some more [Playtester]
	* Fixed some minor bugs in the Sign Quest. [SinSloth]
2007/08/29
	* Rev. 11088 Blacksmith job quest bug fixes care of Micktu. [L0ne_W0lf]
	* Rev. 11081 Knight job quest bug fixes. [L0ne_W0lf]
	* Made some changes due to recent fixes in the Sign Quest. [SinSloth]
	* Dandelion's Request event now resets properly after it has been completed by a player. [SinSloth]
2007/08/24
	* Rev. 11076 Changed the Keil Hyre Black Keycard distributing NPCs slightly. [L0ne_W0lf]
	* Bug fixes to the Wizard and Knight job quests. 
2007/08/22
	* Updated Cursed Abbey spawns [Playtester]
2007/08/19
	* Partially fixed monster_controller.txt (see r7233, Lance!) [ultramage]
	- TODO: why does it spam "Unlocked target [0]!" all the time?
	- TODO: why does 'follow' walk only 1 cell?
2007/08/15
	* Fixed some loop errors in the guides. [Samuray22]
	-Thanks to $ephiroth.
	* Fixed 'Job_Professer' typo in mage jobchange quest [ultramage]
	* Rev. 11016 Corrected a few bugs in the Acolyte Job Quest. (Crashy) [L0ne_W0lf]
2007/08/14
	* Deleted an Unnecessary "next;" on Rachel Guide. [Samuray22]
	-Thanks to $ephiroth.
	* Removed an Unnecessary "set job_acolyte_q,0;" in Acolyte Quest.
	* Updated Dialogs from "Oxygen Mask Quest".
	* Corrected some typo error in "Clown Reborn Quest".
	-Thanks to Myllena.
	* Corrected some typo error in "Professor Reborn Quest".
	* Rewrote Taekwon Job Quest to the Aegis Standards.
2007/08/13
	* Rev. 11001 Fixed typos in the Blacksmith quest and whitesmith NPC. Thanks to Barron-Monster. [L0ne_W0lf]
	* Rev. 10998 Fixed a typo in the merchant quest. [L0ne_W0lf]
	* Rev. 10997 A few corrections to merchant and wizard job quests, care of Barron-Monster. [L0ne_W0lf]
	* Fixed a wrong negative value checking in Schwartzvalt Trilogy quest. [SinSloth]
	* Changed "item names" into item ID constants, added missing [] and fixed a bug in bs skill quest [Lupus]
2007/08/12
	* Rev. 10989 Merchant job quest bug fixes. Thanks to Barron-Monster. [L0ne_W0lf]
	* Rev. 10987 More bug fixes to the 2-1 quests. Priest and Blacksmith specifically. [L0ne_w0lf]
	* Rev. 10985 Bug fixes to the updated 2-1 job quests. [L0ne_W0lf]
	- Testing and fixes courtesy of Barron-Monster and Samaury22.
	* Corrected the second "Line" selling in the Comodo shop to "Whip". [L0ne_W0lf]
2007/08/11
	* The Sign Quest is now more accurate, some bugs have been fixed and an exploit has been too. [SinSloth]
	- It is no longer possible for players helping in the last part to complete the quest at the same time.
	* Fixed some bugs in various quests. [SinSloth]
	- Einbroch laboratory now correctly checks for players entrance
	- Small fix with Laboratory device to make it more understandable.
	- Fixed a misorder with some checkings of a Rachel quest.
2007/08/10
	* Fixed typos [Playtester]
	* Removed .gat from the remaining npcs [ultramage]
2007/08/09
	* Rev. 10973 2-1 Job quest update. Needs in-depth testing. [L0ne_W0lf]
	- Because of a change of variables, players currently undergoing the job change 
	  quests may find themselves in a slightly different position in the quest.
	- This update reverts the hunter job quest timer BACK to 3 minutes.
	* Corrected some Acolyte job quest issues.
	- Removed Priest quest specific text from acolyte quest file.
	* Bard Pang Voice quest was checking for the wrong variable.
	* Fixed a small bug with the Sign Quest XP rewards. [SinSloth]
>>>>>>> .r10991
2007/08/07
	* Removed a duplicate related to the Sign Quest. [SinSloth]
2007/08/05
	* Set default Rachel NPCs as kRO ones (with mask).No more debate please. [SinSloth]
	* Fixed a wrong item ID in Socket Enchant NPC. [SinSloth]
2007/08/04
	* Rev. 10948 Several bug-fixes to various Rachel quests (Gepard) [L0ne_W0lf]
	* Small fix to the level 4 weapon quest.
	* Small fix to the Thief Job Quest
	* Fixed a nasty bug in Dandelion's Request. [SinSloth]
2007/07/31
	* Fixed north prontera kafra having an empty warp list
	* Removed junk &#1038;A text from the 2004 headgears
	* Changed deprecated Job_Alchem to Job_Alchemist (see r10904)
	* Fixed a typo in a geffen city npc (Job_Merhcant)
	* Fixed a typo in the Jobmaster custom script (Job_Gunsliger)
	* Fixed one old eAAC Quest Warper bug (warp to nonwalkable coords) [ultramage]
	* Rev. 10938 Added the "F_BlockHigh" function back in, as it's still used by 2-x job quests. [L0ne_W0lf]
	- Fix the assassin job quest item reward bug. Cheap fix until it's rewritten. 
	* Added official Pang Voice skill quest for bards. Further official 2-x skill quests to come.
2007/07/30
	* Rev. 10936 Fixed the OnAgitBreak message being map-only and not global when a castle is taken. (Lil DomX) [L0ne_W0lf]
	* Rev. 10928 Removed  "Load Balancing" from the swordman job quest. [L0ne_W0lf]
	- Swordman quest map warps are now contained within the swordman job quest file.
	* Rev. 10926 Updated Job quests for 1-1 classes and Rebirthed classes. [L0ne_W0lf]
	- Moved valkyrie.txt from ../cities/ to ../jobs/. It's not a city. Doofus. 
2007/07/29
	* Fixed warps "Private House", from Moscovia. [Samuray22]
	- Thanks to $ephiroth for the fix.
2007/07/27
	* Changed name from "Pharacon" to "Phracon" in refine.txt. [Samuray22]
	- Thanks to Barron-Monster.
2007/07/26
	* Rev 10917 Added Cash Shop item fucntions. (/other/CashShop_Functions.txt) [L0ne_W0lf]
2007/07/24
	* Changed name from "Emvertacon" to "Emveretarcon" in refine.txt. [Samuray22]
	- Thanks to Barron-Monster.
	* Rev. 10906 Fixed the Kafra Welcome message for guilds. Thanks Barron-Monster. [L0ne_W0lf]
2007/07/23
	* Fixed 3º Test in Hunter Job Quest. [Samuray22]
	-Thanks to ultramage.
	* Fixed a little bug in "Dandelion Quest" with "Job_Alchemist" changed to "Job_Alchem". [Samuray22]
	-Thanks to Nobuo
	* Updated "Welding Mask" Quest to the Official one. [Samuray22]
	* Rev. 10900 Corrected bugs in the Rachel Quests. [L0ne_W0lf]
2007/07/22
	* Added a Missing "case 1:" on monster_museum. [Samuray22]
	-Thanks to Dr.Evil
	* Added a Missing "close;" in "Bomb Maker" from "quests_hugel". [Samuray22]
	-Thanks to Elfange
	* Correct some typos error like "next;ing". [Samuray22]
	-Thanks to theultramage
	* Fixed a Little bug on "How does the Airship Works" Quest. [Samuray22]
	-Thanks to Tantarian
2007/07/21
	* Rev. 10889 Updated "Titicupe: Headgears" Quest to the Official One. [Samuray22]
	- Blush, Cake Hat, Candle, Chef Hat, Raccoon Hat, Rainbow Eggshell,
	Spore Hat, Wonder Nutshell Quests.
2007/07/14
	* Rev. 10882 Fixed missing item from "Fresh Fish" from cooking addition shops. [L0ne_W0lf]
2007/07/11
	* Rev. 10880 Fixed error in Rachel's Sanctuary quest. [L0ne_W0lf]
	* Rev. 10879 Updated NPCs for Al De Baran [L0ne_W0lf]
	- Added Inn NPC for Al De Baran
	* Fixed problems with Hahoe/Lion/Bride masks quests.
	* Added Zairik's fix for the wizard quest.
2007/07/11
	* Fixed a bug in the socket enchanter [Playtester]
2007/07/10
	* Rev. 10874 Added the gemstone trader into script_athena.conf [L0ne_W0lf]
2007/07/07
	* Rev. 10863 Updated header for Morroc City. [L0ne_W0lf]
	* Finished updating Geffen awhile back, and forgot to commit it.
	* Rev. 10862 Fixed various errors in the Bajin NPC in quests_yuno. [L0ne_W0lf]
2007/07/06
	* Rev. 10859 Forgot to add the third part of the doomed swords quest. [L0ne_W0lf]
	* Forgot to update the conf files accordingly. (added doomed_swords_quest deleted metto_quest)
	* Rev. 10858 Updated Juno and Comodo NPCs. [L0ne_W0lf]
	- Updated Monster Museum NPCs as well.
	- Updated doomed swords quest, moved unrelated NPCs to proper files.
	- Added the end of the Comodo and Juno doomed swords quests.
	* Fixed "[Kafra Employee]" being shown twice at one instance.
	* Fixed the Geffen Inn NPC.
	* Updated the NPC names for the Geffen Kafra.
	* Updated the PVP script to official. Includes Event mode.
	- Added warps for the PVP Cross room.
	* Fixed Kiel Hyre Quest (u could stuck) thx 2X-Siro [Lupus]
2007/07/04
	* Removed respawn time on Byorgue [Playtester]
2007/07/01
	* Rev. 10839 Fixed a few errors with the kafra functions. [L0ne_W0lf]
2007/06/29
	* Fixed some typos in various Rachel quests. [SinSloth]
	* Fixed a minor bug in Hugel Bingo game system. [SinSloth]
	* Commented out crashing soundeffectall function calls [ultramage]
2007/06/28
	* Rev. 10824 Fixed a couple bugs in the Kiel Hyre quest. [L0ne_W0lf]
	* Rev. 10823 Added missing "close;" to the Payon Monster Scholar. [L0ne_W0lf]
	* Fixed the display names for the Payon Kafra's.
	* Fixed a bug in Hugel Bingo game system which prevented players from launch another game after a game has been canceled. [SinSloth]
	* Updated Cramps respawn time in clock tower. anti-leech. [Lupus]
2007/06/26
	* Rev 10815 Updated NPC for Payon. [L0ne_W0lf]
	- Added in the complete fortune teller NPC. 
	- Rewrote the Arrow quiver and Gemstone trader NPCs.
	  Moved the Gemstone trader into the '/merchants' folder.
	- Updated the information for the Payon Inn accordingly.
	* Removed an NPC from the Lighthalzen quests. Should fix the
	  "NPC not removed" message when reloading scripts. Removed
	  because I couldn't find this NPC anywhere in the official file.
	* Fixed a few over-looked names in the Kafra teleport function.
	* Changed all 'dyestuff' words -> 'Dyestuffs' which's correct [Lupus]
2007/06/25
	* Rev. 10810 Rather large Kafra update. (May need further testing) [L0ne_W0lf]
	- Updated a good portion of the kafra functions.
	- Added proper dialog for most functions.
	- Updated guild Kafras and some o f their locations. 
	* Updated all Guide NPCs. They are now mostly 100% official.
	- Renamed some of the old files to make them look better, IE: yun to juno.
	- Added Kunlun and Ayotaya guides.
	* Added the Einbech tool Dealer since it seemed to had gotten lost when I updated shops.
	* Updated Dye Maker and Hair Dyer to official. 
2007/06/22
	* Fixed some typos to Kiel Hyre and Curse of Gaebolg quest. [SinSloth]
	* Fixed a bug in Bruspetti quest. [SinSloth]
2007/06/21
	* Update to the eAAC Scripts (don't ask...) [eAAC]
	* Fixed a small bug in Dandelion's Request. [SinSloth]
	* Fixed a little minor bug in "Crusader Job Quest". [Samuray22]
	* Added some missing NPCs from the Laboratory on "Elemental Potion Cretion Quest". [Samuray22]
2007/06/20
	* Reverted wrong fix in Ninja Job quest. [SinSloth]
	* Updated "Ph.D Quest" Dialogs. [Samuray22]
	* Updated "Elemental Potion Creation Quest" to the official one. [Samuray22]
2007/06/19
	* Fixed Some variables like ".@item", and changed to "@item". [Samuray22]
	* Fixed another minor bug for Ninja Quest. [Samuray22]
	-Thanks to Soul of Linkers for the fix.
2007/06/18
	* Updated Dialogs from "Pretend Murdered Quest". [Samuray22]
	* Updated Dialogs from "Stop Post Quest". [Samuray22]
2007/06/17
	* Fixed a Little Bug with the "How Does the Airship Work" Quest. [Samuray22]
	-Thanks to Playtester ^^U.
2007/06/16
	* Rev. 10777 Fixed the Kafra function, which was screwing up teleporting. [L0ne_W0lf]
	* Undid come of the changes to the Jawaii and Izlude NPCs.
	- Changed ispartneton() back to getpartnerid()
	- Added Cebalis' dialog back in, and fixed a problem with Dega.
	* Added Byorgue and Ifrit to spawns [Playtester]
	- lowered Atroce respawn time on Veins fields
	* Added Louyang Revolution quest. [SinSloth]
	- Moved some city NPCs and warps to proper quest file.
2007/06/15
	* Added all Hugel-related quests. Thanks to MasterOfMuppets for scripting most of them. [SinSloth]
	- Updated some Hugel, Lighthalzen, Einbroch and Airship NPCs regarding those new quests.
	- Moved a lot of Hugel NPCs to proper quest file.
	* Added Odin Temple Excavation quest. [SinSloth]
	- Updated Hugel warps and Odin Temple Sailor according to the quest.
	* Added Heart Fragment quest. [SinSloth]
	* Updated Ayothaya's Ring quest to official. Credits to MasterOfMuppets. [SinSloth]
2007/06/14
	* Fixed many bugs in Jawaii [Lupus]
	* Fixed bug in divorce.txt [Lupus]
	* Izlude: Made Red/Cebalis as a single NPC + duplicate [Lupus]
	* Red. 10769 Fixed central Kafra position (146,86 -> 146,98) [L0ne_W0lf]
	* Rev. 10767 Fixed a missing ")" in the new wedding script. [L0ne_W0lf]
	* Forgot to upload the mail.txt file. 
	* Rev. 10766 Updated cities: Morroc, Jawaii, and Izlude [L0ne_W0lf]
	- Moved an NPC out of Prontera because of the Jawaii update.
	* Updated Wedding script to official. (Moved previous to custom.)
	- Updated the Divorce NPC to Official as well.
	* Changed some dialog in the Kafra Functions.
	* Updated the Message boards to iRO standards.
	* Added the Mail box NPCs even though the mail system is not implemented.
	* Near total rewrite of the shops.txt file. Lots of corrections and such.
	* Removed Cursey Abbey spawns from the conf file [Playtester]
	- fixed a bug in the spawn file
	- it will be readded once the mobs are actually usable
	* Added initial mob spawn of Abbey Dun, thanks to $ephiroth
2007/06/12
	* Added first part of Hugel quests. Credits go to MasterOfMuppets. [SinSloth]
	- Moved some Hugel NPCs to proper quest file. [SinSloth]
	- Added GM lvl check to Morroc Inv.Quest as in other invansion quests [Lupus]
2007/06/11
	* Updated dialogs from Binoculars Quest. [Samuray22]
2007/06/10
	* Fixed some small typos in the Gaebolg family curse quest. [L0ne_W0lf]
	* Small fix to Kiel Quest [Playtester]
	* Fixed exploit and optimized Rachel donations [Playtester]
2007/06/09
	* Rev. 10737 Removed an erroneous "case" in Rachel quest. Thanks, Jet. [L0ne_W0lf]
	* Rev. 10736 Updated several Prontera NPCs. [L0ne_W0lf]
	- Updated Prontera town NPCs, and Prontera Library.
	- Updated the Prontera Milk Merchant. 
	- Updated the inn dialogs slightly, and corrected information for Prontera.
	- Added Gaebolg Family Curse quest.
	- Commented out old Clothes_dyer npc.
	* Updated Rachel's guide's while loop to be a bit nicer looking.
	* Added the ability to redeem lottery tickets before max donation is met.
	* Changed conflicting warps to the "Adoption" room in the church.
	* Fixed a bug in Kiel Hyre warps and quest.
	* Updated Dandelion Request quest for Gaebolg compatibility.
	* Added Hugel Bingo game system. Please test it and report any bugs. [SinSloth]
	- 'nosave' mapflag added to the map.
2007/06/08
	* Added real Moscovia warps, thanks to $ephiroth [Lupus]
2007/06/07
	* Rev. 10717 Fixed Man Stuck in Ice only giving 1 Freezing Snow Powder. [L0ne_W0lf]
	* Rev. 10716 Forgot the standard script header in the Rachel guide. [L0ne_W0lf]
	* Rev. 10714 Implemented Official Cooking Quest. [L0ne_W0lf]
	- Optimized Rachel donation quest, and added Rachel Guide.
	- Fixed the name of one of Rachel's shops. (Tool Dealer -> Fruit Gardener)
	- Fixed some typos in the Kyle Hyre Quest's additional comments.
	* Fixed a bug and some typos to Socket Enchant NPC. [SinSloth]
	- Added totally custom Moscovia warps by Azazel [Lupus]
2007/06/06
	* More Breeder fixes [Playtester]
	* Added Dandelion's Request / Morroc Invasion quest. [SinSloth]
2007/06/05
	* Updated Arena warp, thanks to diedlikeahero [Lupus]
	- removed old temp shop scrolls_arrows [Lupus]
	* Fixed Grand Peco breeder [Playtester]
	* Optimized, commonized and got rid of extra @vars: ammo_boxes.txt,ammo_dealer.txt,kunai_maker.txt [Lupus]
	* Fixed a bug in Thanatos Tower quest. [SinSloth]
2007/06/04
	* Updated versions in some merchants scripts [Lupus]
	* Cleaned up Rachel donation prizes a bit [Playtester]
	* Added 11.2 guns to gunslinger shop [Playtester]
	* Reverted Bullet Dealer Tony to Stable [Playtester]
	- current version was bugged and no one fixed it
	* Added missing OnTouch to Prontera "Guild Treasure room guard" [Lupus]
2007/06/03
	* Rev. 10669 Updated 2006 headgear quests to semi-official dialog. [L0ne_W0lf]
	* Various updates to the various guild Castle scripts. [L0ne_W0lf[
	- Added Guild Master Room protection. Further security so only the master of the current castle can enter the treasure room.
	- Updated Guild Castle Flags  again. Updated remaining dialogs to official.
	- Updated a couple announces for when the Emperium breaks. Both are now up to par with iRO.
	- Moved nguild to the events folder and commented it out, as it was a kRO event that was used twice. Updated .confs to reflect this change.
	* Added the first class skill resetter into Prontera. She resets players under base level 40 who are first or expanded class. [L0ne_W0lf[
2007/06/01
	* Rev. 10666 Updated Knight Peco, Crusader Peco, and Falcon breeders to Aegis 10.3 standards. [L0ne_W0lf]
	* Rev. 10664 Removed Ktullanux spawn, since the quest is implemented now. [L0ne_W0lf]
	* Rev. 10663 Rachel update. Official (to iRO) quests and town NPCs. [L0ne_W0lf]
	- Added a few missing warps as well to both town and dungeon warps for Rachel.
	* Rev. 10659 Bard job quest updates. [L0ne_W0lf]
	- Updated NPC dialogs and cutins using Aegis 10.3 files.
	- Fixed error with the present checking. (Lupus beat me to commiting)
	- Changed the reward checking to use callsub (fixed the flow of the script)
	- Optimized and changed the flow of things slightly.
	- Temporary character variables "@" are now ".@"
	- Fixed some indentation.
	- Changed item names to item IDs
	* In thana Quest you may enter either "Charmstone" or "Charm Stone" [Lupus]
	- Fixed bug in new Crusader Quest, optimized, changed common NPC names to more unique.
	- Fixed 2 bugs in Bard Job Quest
2007/05/31
	* Rev. 10653 Fixed some spelling and grammar in crusader quest. [L0ne_W0lf]
	* Rev. 10651 Updated Crusader quest. [L0ne_W0lf]
	- Updated NPC dialogs using Aegis 10.3 file.
	- Fixed logic error with job change reward for job 50 swordies.
	- Completely redid the 1st and 3rd tests.
	- Optimized first four NPC scripts slightly.
	- Alternatively, the tests themselves need work.
	- Temporary character variables "@" are now ".@"
	- Fixed some indentation.
2007/05/29
	* Changed little typos error on MVP Arena, Thanks to Sinoco. [Samuray22]
2007/05/28
	* Corrected typos/inconsistencies in npc headers [ultramage]
	* Fixed NPC name of bullet and magazine dealer [Playtester]
	* Reverted Samuray22's work in Bard Quest. RTM. [Lupus]
2007/05/26
	* Rev. 10632 Guild flag update. [L0ne_W0lf]
	- Guild flags in town by default will no longer show dialog.
	- Updated several guild flag positions and rotations, and removed some others all together.
	- Added the second set of Payon town guild flags in the northern section
	- Updated novice WoE flags with the new argument.
2007/05/26
	*  Fixed a little bug on "Bard Quest" (Not Job). [Samuray22]
	- Maybe will be a good idea change the variables, for something more original.
2007/05/25
	* Changed the way the Thanatos Portal works. [SinSloth]
2007/05/23
	* Fixed Bug in Bard Quest (not the Job Quest), optimized: 50kb less [Lupus]
		Not a final version yet
	- What's correct? a swordman or a sdordSman (we have both words mixed in all scripts)
	* Added a check in Thanatos Boss room to reset event if there's no player inside. [SinSloth]
2007/05/22
	* Tweaked some recent npcs [ultramage]
	- I find using close; to exit a switched callsub/callfunc a major wtf,
	  similarly when using switch witout absolutely no break statements;
	  please consider using more proper code structuring in the future.
	* Added Thor Volcano spawns [Playtester]
	* Updated Socket Enchant NPC to official. [SinSloth]
	* Moved Munak's Grandma quest to monstertamers.txt, it didn't require another file. [SinSloth]
	- Deleted munak_quest.txt
	- Updated .conf file due to those changes.
2007/05/21
	* Rev. 10601 Added Two new quests and moved another. [L0ne_W0lf]
	- Added Wandering Minstrel quest. Need optimizing. (bard_quest.txt) 
	- Added Munak's Grandma quest. (munak_quest.txt)
	- Moved bongunsword.txt to /custom/quests/
	- Updated the conf files to reflect the above changes.
	* Fixed some bugs in Cursed Spirit Quest. [SinSloth]
2007/05/18
	* Fixed a bug in Thanatos Tower Quest, which didn't allow you to get rewards. [SinSloth]
 	* Rev 10569 Kiel Hyre quest update, moved delitems to the proper NPC. [L0ne_W0lf]
	* Updated Thanatos Tower quest to official. [SinSloth]
	- Moved some NPC in proper quest file and updated warps.
	- Removed old Thanatos custom warps.
	* Sage Job Quest Item name fix: Mantis Scythe [Lupus]
 	* Rev 10561 Kiel Hyre quest fixes. [L0ne_W0lf]
	- Fixed a typo in Elly, in her room. (<= should have been <) 
	- Added an 'end;' to the cookie basket. Kiel Hyre's final dialog will now delete all quest-related items.
 	* Rev 10561 Complete rewrite of the Kiel Hyre warps. (warps/other/kiel.txt) [L0ne_W0lf]
	* Rev 10572 Updated Bard quest to the official one. [Samuray22]
2007/05/17
	* Removed .GAT -s from some recent scripts. Please, don't add them in the scripts [Lupus]
	- Fixed Merchan Job Quest Kafra (used old ID for Free Ticket)
2007/05/16
	* Rev. 10548 Kiel Hyre Quest fix. Fixed the missing spaces in some of the enablenpc commands. [L0ne_W0lf]
	* Renamed Grandpa Pharmacist to Old Pharmacist, updated dialogs [DZeroX]
	* Minor spawn fixes [Playtester]
2007/05/15
	* Added President quest aka. Schwartzvalt Trilogy. Please encourage your players to test it. [SinSloth]
	- Moved some NPC and fixed some typos in Lighthalzen and Einbroch due to the quest.
	- Updated Yuno Government Buildings warps according to the quest.
	- Removed custom version of Schwartzvalt Trilogy from WIP folder. [SinSloth]
	* Fixed some bugs in Crusader Job change quest. [SinSloth]
	* Minor fix on NPC name in Swordman tutorial quest. [SinSloth]
	* Minor Kiel Hyre Quest optimization with extra goto, else or empty switch [Lupus]
2007/05/13
	* Updated Monk Skill QUest to the Official One. [Samuray22]
2007/05/12
	* Rev. 10526 Fixed the weight checking in Vandt, and added official dialog. [L0ne_W0lf]
	- Added weight checks for all NPCs that give items. Semi-official dialog.
	- Got the missing portion of dialog for Mills'.
	- Will add further improper dialogs as I get to them on the second runthrough of the quest.
2007/05/11
	* Updated hack check and added a weight check to Umbala Elemental Dismantler. [SinSloth]
	* Made Veins spawns slightly more mobby [Playtester]
	* Players can now dismantle more than one elemental stone at once from Umbala Shaman. [SinSloth]
	* Alchemists are now able to purchase up to 2000 Medicine Bowl. [SinSloth]
	* Rev. 10515 More Kiel Hyre quest related updates
	- Fixed the wrong name being displayed for Kiel Hyre in one dialog. 
	- Removed $@KH_DoorInvoker entirely. The quest is now working like it should according to iRO.
	- Fixed up a few more NPC headers. Facing direction fixes mostly this time.
	- More progression changes to Kiehl Hyre. He no longer stops dialog after the agents appear.
	* Rev. 10515 Updates to the Kiel Hyre Dungeon warps. [L0ne_W0lf]
	- Added second floor exit.
	- Corrected coordinated for some of the other warps.
2007/05/10
	* Updated Knight Skill Quest to the oficial. [Samuray22]
	* Updated Blacksmith Skill Quest to the Oficial. [Samuray22]
	* Rev. 10512 Removed a debugmes from the Kiel Hyre quest. [L0ne_W0lf]
	* Rev. 10508 Stupid mistake, accidentally had 4 copies of the same script in 1... [L0ne_W0lf the bonehead]
	* Rev. 10507 Large update to the Kiel Hyre Quest. [L0ne_W0lf]
	- FIxed several small issues (and large one) such as typos in cutins, typos in dialog, etc.
	- Added some of the missing dialogs for several NPCs, and fixed a few NPC locations.
	- ALL books can now trigger the wall.
	- Allysia will now summon 4 (was 2) G_CONSTANTS instead of REGULAR constants.
	- Fixed where Golden_Key and Exquisite_Button are deleted.
	- Removed KHTimerEnd, and instead use OnReset.
	- Fixed typo in the second NPC that gives Black Keycards.
	- Added and Monster Warps. (Keeps monsters from being in dungeon quest area.) Non-functional though.
	* Removed Yuno_fild02 -> kh_vila warp. (Exploit) [L0ne_W0lf]
2007/05/09
	- Added Cursed Spirit Quest. [SinSloth]
	- Moved some NPCs and warps related to the quest in proper file.
2007/05/07
	* Removed an unnecessary/buggy line in cities/izlude.txt [Paradox924X]
	* Various spawn fixes here and there [Playtester]
	* Revised 2/3 of the cities scripts. Thanks to CAHTEHHuK [Lupus]
	- Fixed wrong usage (not a bug, but stil bad) | -> ||
	* Fixed a bug in Hugel field spawns [Playtester]
	* Rev. 10487 Kiel Hyre bug squashage. 
	- Lots of fixes (4ish) from Valandi. [L0ne_W0lf]
	- Added a getmapuser check to the mapwarp in KHTimerEnd so it's not trying to warp out 0 users. [L0ne_W0lf]
2007/05/06
	* More "fixes" tot he Kiel Hyre quest, .KHQuestBusy was being set but was unused. No longer set. [L0ne_W0lf]
	* Fixed some bugs in Einbech and Geffen spawns [Playtester]
	* More official socket enchant success rates [Playtester]
	* Updated Comodo Gambling Prizes to official. [Paradox924X]
	* More accurate spawn amounts on various maps [Playtester]
	- thanks to Doddler and Vicious_Pucca
	* Updated Facing of NPCs from Crusader Quest [Samuray22]
	* Updated Food Seller to official [Playtester]
	* Small Veins field spawn and warp adjustments [Playtester]
	* Revised 1/3 of the cities scripts. Thanks to CAHTEXHuK [Lupus]
2007/05/05
	* Updated Crusader Job quest to the official one [Samuray22]
	- Added Folder "old" for old quest of jobs.
	* Updated Abyss Lake Entrance Quest to official. [SinSloth]
	* Fixed a minor bug in Juperos Ruins History Quest. [SinSloth]
2007/05/04
	* Another fix for elly, no longer RESETS to 26 when you tak to her. [L0ne_W0lf]
	* Updated Veins field spawns with info from RO Monthly [Playtester]
2007/05/03
	* Fifth door now checks for a variable HIGHER or EQUAL to 74 not 84, as pointed out by Stollen. [L0ne_W0lf]
	* Added Juperos Ruins History Quest. Thanks to Keplerk. [SinSloth]
	* Moved a book non-related to Lighthalzen quests. [SinSloth]
	* Applied a minor fix to Payon Archer Kafra. [SinSloth]
	* Removed and altered exploitable warps for Kiel Hyre Quest. [L0ne_W0lf]
2007/05/02
	* Added forgotten warp entries to the main conf file [ultramage]
	* Removed unofficial spawns form airship. [Samuray22]
2007/05/01
	* Changed the labels on the "Big Doors" to "Identifier Names" to prevent an error with using getvariableofnpc [L0ne_W0lf]
	* Added Few Missings NPCs to the Airplane [Samuray22]
	- Changed name form girl#10 to the Official name "Dianne".
	* Added "How Does the Airship Work" Quest. [Samuray22]
	* Updated Gunslinger Job Change Quest to official. [SinSloth]
	* Fixed a minor bug in Ninja Job Change Quest. [SinSloth]
	* Even more Fixes to the Kiel Hyre Quest [L0ne_W0lf]
	- Exit will now enable if you are just retrieving the Ring, keeps you from getting stuck.
	- Corrected "KH_Kielh02", was setting off a debug, invalid map index. Should have been "kh_Kiehl02"
	- Made .KHQuestBusy$ into a temp global variable. $@KHQuestBusy$.
	* Updated some Gunslinger quests. [SinSloth]
	- Inferno Quest updated to official.
	- Garrison Quest updated to official, thanks to Lazarus^.
	* More Fixes to the Kiel Hyre Quest [L0ne_W0lf]
	- Elly now deletes the Iron_Box, and Kiel Hyre deletes the Pin. [L0ne_W0lf]
	- More security on the 5th Big Door, now makes sure no one outside of who acticated it initially can use it. Resets after 10 minutes to make it.
	- Made it so that you need to be at least step 84 to activate the final door.
	- Corrected not deleting Allysia's Ring from inventory.
2007/04/30
	* Fixed small bug in custom JobChanger. [Paradox924X]
	* Updated Gunslinger weapon Destroyer Quest to official. Thanks to Sinoco [SinSloth]
	* Updated Ninja Job Quest to official version [SinSloth]
	* Added $ephiroth's veins/nameless warps update [ultramage]
2007/04/29
	* More squashed bugs with if checking in Kiel Hyre quest. [L0ne_W0lf]
	- Another bug fixed in the Kiel Hyre quest. (&& instead of ||)
	- Fixed doors not resetting in kh_kiehl01 after 30 second timer is up.
	* Updated Hotel Employee from Einbroch [Samuray22]
	* Added AirShip Ticket Quest [Samuray22]
	* Updated Ammo Casing NPC Kenny to official version [SinSloth]
	* Fixed level requirement of Eye of Hellion quest [Playtester]
	* Some 11.1 field spawn updates [Playtester]
	* Updated Bullet Merchant Tony (npc/merchants/ammo_dealer.txt) to Official One [Paradox924X]
2007/04/28
	* Small Kiel warp fix [Playtester]
	* More Kiel quest fixes thanks to Toms and L0ne_W0lf [Playtester]
	* Added a part of Munin's Hugel NPCs [Playtester]
	- more to come
2007/04/27
	* Some small Kiel quest fixes [Playtester]
	* Updated Sphinx spawns [Playtester]
	- Anubis instead of Marduk on F4 and F5
	- note: Anubis is not fully official yet
	* Updated Kiel spawns [Playtester]
2007/04/25
	* Some official Odin and Hugel warps [Playtester]
	* Official Hugel field warps [Playtester]
	* Fixed exploit in The Sign quest [Playtester]
	* Fixed rewards of Momotaro event [Playtester]
	* Applied L0ne_W0lf's fixes to the Kiel quest [ultramage]
2007/04/24
	* Fixed exploitable Valkyrie Randgris respawn time [Playtester]
	- did I put that? >-<
	* Removed duplicates in cool_event_corp
	* Removed duplicates in Kiel_Hyre_Quest [Toms]
	* Added missing close; to the magician first_class quest [ultramage]
2007/04/23
	* Fixed up some shops [Playtester]
	* Fixed some level requirements for swordman quest skills [Playtester]
	- all the skill quests are still very custom :-/
2007/04/22
	* Added Rachel to the airship route [Playtester]
	- why was it still missing?
	- thanks to Articulus for scripting most of it
	* Official Rachel Field warps [Playtester]
	* Official Ice Dungeon warps [Playtester]
	* Official Rachel Sanctuary warps [Playtester]
	- had to move the current quest to another position
	* Official Rachel warps [Playtester]
2007/04/21
	* Fixed a small scripts_custom.conf typo [ultramage]
2007/04/15
	* Updated Kiel Hyre quest thanks to L0ne_W0lf [Playtester]
	* Lowered the amount of Dimiks spawning in Juperos F1 [Playtester]
2007/04/13
	* Added new Lighthalzen NPCs by $ephiroth and merged other NPCs
	  from npc\other\lighthalzen_???.txt [Lupus]
	* Updated Kiel Hyre quest warps [Playtester]
	* Added Veins field spawns thanks to $ephiroth [Playtester]
	* Added Kiel Hyre quest thanks to L0ne_W0lf [Playtester]
	- please motivate your players to test it
2007/04/12
	* Merged duplicate Rachel Temple entrance into one NPC [Playtester]
	- we need to add a quest that you need to enter later
	* Some 11.1 and 11.2 spawn updates [Playtester]
	* Added Cool Corp Event Staff in Rachel [Playtester]
	- some skilled script dev should combine them into one function, though
	* Fixed up some Veins warps [Playtester]
2007/04/11
	* Added official donation items in Rachel Sanctuary quest [Playtester]
	- chances are guessed but safe to use
2007/04/10
	* Semi-official version of Rachel Sanctuary entrance [Playtester]
2007/04/07
	* More cleanups in The Sign Quest [Lupus]
2007/04/05
	* Added Gunslinger quest for slotted Butcher [Playtester]
	* Fixed a typo in tu_archer.txt [ultramage]
2007/04/04
	* Updated Gunslinger quest [Playtester]
	- you can now create a Butcher
	* Updated Ninja quest variable usage [Playtester]
	- now MISC_QUEST variable is used when completed
2007/04/03
	* Removed the never-updated "who does what" header in this very file [DracoRPG]
	* Got screenie of wedding NPC, made ours stick to it as much as possible [DracoRPG]
	* Small fix in Monk Quest [Playtester]
	* Officialized Kunai/Shuriken traders [Playtester]
	* Officialized Fuuma Shuriken quest and merged it to ninja_quests.txt [Playtester]
2007/04/02
	* Removed some poor coding from the gunslinger job script
	* Corrected multiple "WoE has begun" announces [ultramage]
2007/04/01
	* Added Ninja Weapon quests [Playtester]
2007/03/30
	* Added Ninja Shield quests [Playtester]
	- massive testing and probably optimisation needed
2007/03/28
	* Added Akagi to Ninja Job quest [Playtester]
	- he teleports job level 10 novices to amatsu for free
	* My attempt at fixing the zealotus mask npc, now correctly requires a whip
	- it could have been a one-liner, but not possible with current script engine 
2007/03/23
	* Fixed some misc typos (skill reset npc has horrible engrish btw) [ultramage]
	* Reformatted TSQ for easier bug hunt [Lupus]
2007/03/22
	* Retouch of Novice Grounds [Lupus]
2007/03/20
	* Added npc/sample/npc_live_dialogues.txt how to use Global_Functions.txt [Lupus]
	* Removed duplicate Noyee npc (skipped in r9943 ?)
2007/03/17
	* Fixed a missing curly brace and removed some more .gat-s [ultramage]
	* Removed all .gat from the scripts [Lupus]
2007/03/14
	* Reduced the chance to socket enchant a C rank item to 40% [Playtester]
	- info comes from kRO monthly and jRO players
	- this is based on "better too low than too high"
2007/03/01
	* The Sign: Fixed possible exploit, thanks to happylight [Lupus]
	- Added npc/sample/npc_test_setitemx.txt
	- Redo "conditional bug" in cool_event_corp.txt. That wasn't a bug.
	- Fixed ingredients check in Slot Enchant, thanks to Tantarian
	- Removed duplicated NPC from Yuno.txt (implemented in sleipnir_seal.txt)
2007/02/28
	* Fixes to Merchant/Smith skill quests according to ragnainfo wiki [DracoRPG]
	- Added missing 1 Banana Juice requirement to Cart Revolution quest
	- Fixed the weight condition for Greed quest : you have to carry so much that
	  you can't hold 500 more, whereas eA wanted you to be able to hold 500 more
	* Fixed 2 questions in Rasputin's test, thanks to vvCC [Lupus]
2007/02/27
	* Added alternate bonus item to Alchemist Quest, thanks to b3nn0 [Lupus]
	- Made Dancer Quest bonus item to be give as in other quests
	- Updated Deviruchi-divorcer (we can't divorce offline chars..) + added proper effects
2007/02/22
	* Added official Hugel Cool Event Corp. Staff, thanks to Gepard [Lupus]
2007/02/21
	* Fixed a parenthesis typo in the dance quest [ultramage]
	* Dancer Job Quest v 3.0. Optimized, fixed typos, added missing dialogues [Lupus]
		- not fully tested yet! U can use v2.5 as 100% working
	- Moved NPC Master Kavaruk (overlapped Phantasmic Arrow Skill quest NPC)
	- The Sign Quest, minor dialogue fix, thanks to theultramage 
	- Fixed JobMaster Baby -> Super Baby change bug
	* Fixed and Tested Dancing part of Dancer Job Quest (the rest chrid issues) [Lupus]
2007/02/19
	* Fixed Dancer Job Quest mob::OnDie / SP check issues [Lupus]
	* Guilds with Emergency Call skill mastered or with 9+ skill points [Lupus]
		can't take part in Novice Castles WoE. 
2007/02/16
	* Updated the Dancer job quest to attach a player to the main timer script.
	* Updated WoE scripts since the "guardian" script command no longer has a
	  "amount" argument. [Skotlex]
2007/02/15
	* Corrected all Schwarzwald typos (except for the WIP one) [ultramage]
2007/01/30
	* Fixed a mistake in one quiz in the the sign quest [ultramage]
2007/01/29
	* Updated the comodo gambling script
	- synced the structure with the aegis script (with neccessary adjustments)
	- added a missing emotion and cutins (using jA's method)
	- added a missing npc
	* Moved the custom events entries into scripts_custom.conf
	* Removed old custom geffenia warper since TSQ is done
	* Removed the duplicit and untranslated alchemist.txt event [ultramage]
2007/01/26
	* More typo fixes
	* Added a missing dialogue branch in novice.txt
	* Fixed a monster spawn typo in hu_fild05 and lou_fild01 [ultramage]
	  Ref: http://www.eathena.ws/board/index.php?showtopic=136426
2007/01/24
	* Fixed one missing 'On' in prtg_managers.txt [ultramage]
2007/01/21
	* Synchronization of the trunk&stable npc directories [ultramage]
	- fixed one sign quest OnMonsterDead bug (copy from stable)
	- removed the temp sign quest script
	- some minor typo hunting
2007/01/12
	* Fixed exploits in Valentine Event Scripts [KarLaeda]
2007/01/11
	* Update to the new locations, adds more warps (thor_camp) [ultramage]
2007/01/09
	* Updated some functions calls that where using the wrong number of 
	  arguments with checkcart,checkfalcon,checkriding,getgmlevel,
	  basicskillcheck. [FlavioJS]
2007/01/05
	* Updated SL job Quest according to iRO, thanks to Sousuke_PL [Lupus]
2007/01/03
	* Added Veins and Thor Dungeon warps, +fixed some headers [ultramage]
2006/12/28
	* Fixed typo in the Priest Quest [KarLaeda]
2006/12/25
	* Fixed a bug in eye_of_hellion.txt and a bug in hunter.txt. [FlavioJS]
2006/12/22
	* Corrected scripts to use the new format of agitcheck
	* Simplified the global function "getJobName" [Skotlex]
2006/12/19
	* Now root functions calls can have parenthesis (will take any parenthesis
	  after the function as the start of the argument list).
	- Updated swordman.txt and knight.txt accordingly.
	* Added year to the dates in this changelog.
	* Added sample localized NPC. [FlavioJS]
2006/12/17
	* Fixed exploit in The Sign Quest [KarLaeda]
2006/12/13
	* Fixed exploit in the Slotted Sunglasses Quest [KarLaeda]
2006/12/11
	* Adjusted Rachel Sanctuary entrance to prevent exploits [Playtester]
	- added Ktullanux to spawns until the quest is added
	- all Rachel MVPs now only respawn once a day to prevent exploits
	- uncommented Rachel Sanctuary spawns by default
	* Some cleanup & optimization for MvM Arena [KarLaeda]
	- Added missing close2 to Hunter Job Quest
	* Added Yuno Government Buildings warps. Thanks to $ephiroth [Lupus]
	- Added missing next, removed extra line to Wizard Job Quest
	* Fixed Rogue / Assassin exploit, thanks to El Nino
2006/12/06
	* Minor fix to the sign quest, thanks to theultramage for pointing it out [MasterOfMuppets]
2006/12/01
	* Fixed event's label for many quest-spawned monsters [KarLaeda]
	* Small fix to The Sign Quest [KarLaeda]
	* Removed outdated Thief Bug ID [Playtester]
	- 1017 and 1021 don't exist anymore
2006/11/30
	* Updated Shinokas Quest to leave no grabage vars [Lupus]
	- Added a log when players get their jobs
	* Added first version of Rachel Sanctuary spawns [Playtester]
	- commented for now
2006/11/28
	* Enabled Ice Dungeon spawns so they can be tested [Playtester]
2006/11/26
	* Added a check to prevent spawning of more than one Thanatos in the Thanatos Quest.
	  Thanks to Kodachi for reporting on IRC [erKURITA]
	* Enabled Rachel Field spawns so they can be tested [Playtester]
2006/11/24
	* Cleaned up global permanent variables in Airship Quest [KarLaeda]
2006/11/23
	* Fixed Mage Tutorial Quest [KarLaeda]
	- Fixed typos in Ninja Quest
2006/11/21
	* Less G_mobs spawning in Odin Temple [Playtester]
2006/11/20
	* Updated Skill Resetter Event, thanks to $ephiroth [KarLaeda]
	* Fixed Sage guest [KarLaeda]
	* Fixed exploit in Shinokas Quest [KarLaeda]
2006/11/17
	* Added official kRo&idRO Skill Reset Event, thanks to $ephiroth [Lupus]
	- Fixed possible double levelup bugs [Lupus]
2006/11/16
	* Fixed wrong label name in adoption NPC [KarLaeda]
	* Added official Ninja Job quest! Thanks to Legionaire for translation [Lupus]
		Don't forget to update your other\Global_Functions.txt
	- Removed name duplicates
2006/11/14
	* Replaced current Rachel Sanctuary warps with jAthena's version [Playtester]
	- some warps still seem to be wrong or missing
2006/11/13
	* Fix for guild manager recognizing [KarLaeda]
2006/11/12
	* According to recent info you can re-install Guardians during WoE [Lupus]
2006/11/11
	* Fixed warp on timeout in swordman.txt [KarLaeda]
2006/11/09
	* Added Bingo - Hugel warps, thanks to erKURITA [Lupus]
	- Added Hugel INN
	- Added missing temp Airship mobs
	- Pet shop in Lighthalzen
	- Minor typos fix of Hunter Job quest, thanks to $ephiroth
	* Fixed Swaltzwalt Quest Part 1 bugs [dunkle]
2006/11/08
	* Added quest\WIP (work in progress folder) with scripts by Dunkle and CallNIX [Lupus]
	* Small fix in Hunter Job Quest [KarLaeda]
2006/11/07
	* Another one set of fixes for the scripts syntax. [KarLaeda]
	* Added Quiz (Revolution) Part 1. Converted by CAHTXHuK [Lupus]
	  He's another candidate to the script devs. Work in progress. Help us to find bugs
2006/11/06
	* Fixed item select in Novice Exchanger [KarLaeda]
2006/11/05
	* Fixed extra EOL in jro spawn [KarLaeda]
	* Fixed reward of gunslinger job quest [Playtester]
2006/11/04
	* Many small fixes - tabs, parenthesis [KarLaeda]
	* Fixed Weight check in 1st class quests [Lupus]
	- Added missing tabs to airship
2006/11/03
	* Small Kiel Quest update [Playtester]
	* Updated Hunter Job Quest: 7 official item sets of Demon Hunter [Lupus]
		thanks to Dr.Evil
2006/11/02
	* Removed extra NEXT; from custom\airplane.txt, thanks to $ephiroth
	* Amatsu Field: Fixed Hydra -> G_Hydra (to fix drops exploit) [Lupus]
		U can put there a normal Hydra to open free Hydra Cards + Macros exploit
	* Fixed typos and item names in DTS warper, 2006 Headgear Quest [Lupus]
2006/11/01
	* Added entrance to Kiel Dungeon F2 [Playtester]
	* Training grounds: Now Kafra Tickets are given at correct NPC/Actions [Lupus]
		Only at Kafra Employee 118,108  & Hanson 100,29
2006/10/31
	* Official X.4 spawn mob types [Playtester]
	- numbers are official on 90% of the maps
2006/10/30
	* Updated the npc/other/marriage.txt wedding script with the most current
	  version. [Skotlex]
	* Added Official First Class Quests-Tutorials (Jukka's conversion) [Lupus]
2006/10/29
	* Added official jRO 10.3 spawns as custom option [Playtester]
2006/10/26
	* Replaced previous TK Job Quest with this one [Tsuyuki]
	- Updated Lighthalzen City & Rachel City NPC
	- Replaced Louyang Guide with new, 100% correct iRO dialogues
2006/10/25
	* Got rid of colned maps. Replaced them by their originals [Lupus]
		new_1-?.gnd -> new_zone0?.gnd
		sword_1-1.gnd -> job_sword1.gnd
	- Fixed item id in socket_enchant.txt, thx to norbert
2006/10/24
	* Spawn updates for Einbroch Fields [Playtester]
	* Updated Novie Training Grounds: typos, bugs, removed extra maps, duplicates [Lupus]
	- Removed some unused job-quest map aliases to free some RAM. Thanks to theultramage for pointing it out.
	!!!WARNING!!! Wipe your memo db. Map indexes have been shifted.
	* Added official Gonryun Power Arena [KarLaeda]
	* Removed 2nd entrance warp to Novice Geffen Castle [Lupus]
	- minor fixes in Novice Exchanger
2006/10/23
	* Fixed small typo in the Priest job quest [Playtester]
2006/10/22
	* Small spawn updates for Gefenia and Einbech Dungeon [Playtester]
2006/10/21
	* Further spawn updates for Yuno Field [Playtester]
	- Magma Dungeon
	- Amatsu Field
	- Amatsu Dungeon
	- Gonryun Field
	- Gonryun Dungeon
	- Umbala Field
	- Umbala Dungeon
	- Yggdrasil
	- Niflheim
	- Louyang Field
	- Louyang Dungeon
	- Ayothaya Field
	- Ayothaya Dungeon
2006/10/20
	* Official kRO 10.1 spawns for Morroc Field [Playtester]
	- Prontera Field
	- Cities (reorganized citycleaners)
	* Added official Free Ticket for the Cart Service to the Novice Training Grounds [Lupus]
	- Fixed endless Novice Potion + Adv Suite exploit
	- Removed 2 oudated Novice Grounds scrips (they confused many people)
	* Official kRO 10.1 spawns for Mjolnir Field [Playtester]
	- Comodo Field
	- Geffen Field (+ 10.4 Orc Village change)
	- Payon Field
	* Added official Gonryun Broken Sword Quest [KarLaeda]
	* Fixed The Sign Exploits [Lupus]
	- Optimized Novice Exchanged (loot->Red Potions), moved the file to NPC\Merchants
	- Fixed The Sign bugs, thanks to Tantarian
		+ added get rid of sobbing pieces to let people reborn
		If u finished the Sign Quest and have some undeleted sobbing pieces, then visit this man
		mjo_dun02.gat 88,295 Flaming Spirit Man - he'll wipe them 8)
	- Fixed wrong label names in mjolnir_seal.txt, thanks to Tantarian
	- Added Feast Day Of Ramadan Idul Fitri Event (official idRO) by $ephiroth
2006/10/19
	* Official kRO 10.1 spawns for Byalan [Playtester]
	- Payon Cave
	- Toy Factory
	- Lutie Field
	- Anthell
	- Orc Dungeon
	- Coal Mine
	- Prontera Culverts
2006/10/18
	* Llyr fixed The_Sign_Quest [Lupus]
	* Official kRO 10.1 spawns for Glastheim [Playtester]
	- Turtle Island
	- Clock Tower
	- Sphinx
	- Prontera Maze
	- Sunkenship
	- Beach Dungeon
	- Pyramid
	- Geffen Tower
	* Official kRO 10.1 spawns for the guild dungeons [Playtester]
2006/10/14
	* Some more official spawns [Playtester]
	* Fully official Juperos and Bio Lab spawns [Playtester]
	* Updated some field spawns to official [Playtester]
	* Fully official Abyss Lake spawns [Playtester]
	* Fully official Thanatos Tower spawns [Playtester]
	* Fixed typo in Lighthalzen Bank [Playtester]
	* Assassin Job quest: Fixed skipping of Nameless NPC [Lupus]
2006/10/11
	* Removed Free Pass from Kafra [Lupus]
	- Now Kafra can use these tickets (Novice Grounds has to be updated!)
		7059,Free Ticket for Kafra Storage | 7060,Free Ticket for Kafra Transportation
		7061,Free Ticket for the Cart Service
	- Added "-Guide" option to Kafra. WIP (some official servers show u a nearest Guide on your mini-map)
2006/10/10
	* Fixed Seals quest [Lupus]
	* Updated Kafra Pavianne [Lupus]
	* Added new custom Halloween Event by Stryker. I made it safe to use 8) [Lupus]
2006/10/06
	* Fixed Shuriken Rekka requiring Cracked Diamond rather than Steel [Playtester]
	* Added official treasure spawn to Novice Castles [Lupus]
	- Added official Novice WoE restriction: Only the 1st class players (+Novice, SN) < 60 Base Level can enter.
	- You can't invest Eco/Def, hire Guardians at Novice Castles
	* Many minor fixes, thanks to theultramage [Lupus]
	- Fixed "mymob" Niflheim bug, fixed Sworman Job Quest timer issue, fixed overlapping NPCs.
2006/10/05
	* Fixed typo [Vicious]
	* Umbala: Added official chance of failure to Create Essence (u may get a Garlet instead) [Lupus]
	- Added official random amount to Dismantle Stone
2006/10/04
	* Updated missing dialogues/NPC to Lighthalzen Bank, Prison,Auction area [Lupus]
		thanks to Au{R}oN
2006/10/03
	* Fixed Assassin Job Quest: Timer bug / NPC bypass exploit [Lupus]
2006/10/01
	* Removed some duplicate Rachel warps [Playtester]
2006/09/28
	* $ephiroth converted custom event: Grand Circlet Quest + Excalibur [Lupus]
	* Added official Kiel Dungeon entrance [Playtester]
	- commented the custom warps
2006/09/27
	* Fixed item lists in Shuriken Blacksmith. Thanks to $ephiroth [Lupus]
2006/09/26
	* Added Jukka's conversion first_class\tu_acolyte.txt. Not tested, not enabled yet [Lupus]
	* Shuriken Blacksmith - added missing next; [Lupus]
	- Finished translation of custom\may_hats, thanks to Playtester ^_-
2006/09/25
	* Fixed the Shuriken Blacksmith. Incomplete Label (M_DAIS -> M_DAIS4) and extra
	  parenthesis on line 128 ( a ) in the end of the condition) [erKURITA]
	* Thanks to Au{R}oN, added prison and bank Lighthalzen NPC [Lupus]
	- Thanks to Au{R}oN, added Shuriken Blacksmith. Fixed bugs.
2006/09/22
	* Fixed missing npc interaction at Einb Pollution Quest [Lupus]
2006/09/21
	* Feed 15 more permanent character variables. [Lupus]
	- Fixed old Cube Room sticks-bug
	- Now Bio-Lab passage uses MISC_QUEST | 512 instead of 'hzdun'
		Don't forget to update your lhazeh warps script ^_-'
	- Fixed 2 bugs in Dungeon Teleport Service. Should use ( ) !!!
2006/09/20
	* Fixed some bugs in Cube Room. Some parts could be skipped [Lupus]
	* Final optimization of Niflheim quests [Lupus]
	- Book of Devil Quest uses bit-wise var MISC_QUEST | 256. Removed extra vars
	- Piano Quest uses 1 bit-wise temp var instead of 5 variables.
	- Clear Niflheim garbage vars in Global_Functions.txt
	- Added few missing NEXT; into job quests, thanks to $ephiroth
	- Changed permanent variables in 1st Job Quest skills to @temp ones
	- Cube Room: 5 key vars -> 1 var cubekey
2006/09/19
	* Fixed rpsroulette.txt, giving 10 blue potions as prize instead of the 20 it said. Also fixed
	  a missing variable in sphinx_mask.txt. Noticed by JTE and fixed by Warian [erKURITA]
	* Preparations for optimization of Louyang/Nifelhem scripts [Lupus]
2006/09/16
	* fixed apple dice game in Airship, fixed missing } in Einbech quests [Lupus]
2006/09/15
	* Ein.Town Pollution fix [Lupus]
2006/09/14
	* Fixed Payon city. Bugs, missing text, etc [Lupus]
	* Massive Einbroch & Einbech bugfix. WIP [Lupus]
	* Fixed typos in Gunslinger & Thief Job Quest & various NPCs [Lupus]
		thanks to cbmaster & $ephiroth
	- Fixed Guild Defence / Economy underflow, thanks to kyoki
	- Zoc's fix to keep number of unopened boxes on reboot
	- Now each castle spawns 1st/2nd Treasure Box type as 50%/50% w/o random
	- Fixed Momotaro Quest, thanks to .~Abism0~.
2006/09/11
	* Moved custom Umbalian quests to custom folder [Lupus]
	* Added back Guild Storage. Confirmed kRO feature. [Lupus]
2006/09/10
	* Official Byalan F5 spawns [Playtester]
	- also updated eamobs accordingly
2006/09/08
	* Adjusted Rachel spawns [Playtester]
	* Fixed Einbroch Headgear shop [Playtester]
2006/09/06
	* Added a missing feature to the donation NPC in Lighthalzen [MasterOfMuppets]
2006/09/05
	* More proper Valyrie dialogues [Lupus]
	* eAAC Update to the banker. [erKURITA]
2006/09/04
	* Added missing next's in npc/custom/airplane.txt and npc/custom/quests/valhallen.txt [Evera]
	- (Thanks $ephiroth)
	* Fixed Bio Ethic quest typo (misspelled key phrase), thx2 mr.rkit [Lupus]
	- Merged updated city warps from TRUNK
2006/09/03
	* Added another next; in bongunsword.txt [Evera]
	* Added missing NPC name in text and next;'s in npc/quests/bongunsword.txt,
	- npc/cities/amatsu.txt, and npc/merchants/socket_enchant.txt. (Thanks $ephiroth) [Evera]
	* Added some Juperos maps to nosave.txt due to an upcoming update. [MasterOfMuppets]
2006/09/02
	* Updated Kiel spawns [Playtester]
	- first floor is close-to-official, but no idea about second floor
	* Fixed some Thanatos Tower warps [Playtester]
	- I hope Ishizu fixes up the quest soon
2006/09/01
	* Added missing next;'s in Payon City NPCs (Thanks $ephiroth) [Evera]
	* Tried to remove all duplicates (in default NPCs) [Toms]
	* Removed useless 'npc\other\old' directory, who would need that anyway... [DracoRPG]
	* Commented out the path to Divorce NPC as Lupus forgot to add it for good [DracoRPG]
	* Fixed critical syntax errors in the new Valkyrie script, (è_é) @ Lupus [DracoRPG]
	* Improved Bioethics quest & nearby Rekenber Guards [DracoRPG]
	  - Used isequipped() instead of getequipid() to simplify code (esp. with accessories)
	  - Rewritten the custom text about Hom. Res. and removed its actual learning
	  - iRO-ized answers to the test (text was taken from a pRO guide so pRO names >.>)
	* Rogue Job quest: now baby thieves can pass 4th test [Lupus]
	- In the same quest, fixed test4 quest NPC, thanks to Dj-Yhn
	- Added divorcing Deviruchi, converted by LightFighter
2006/08/31
	* Removed a warp from Izlude to make sure people won't get stuck until [MasterOfMuppets]
	  the arena has been finished.
	* Reverted two duplicate next, please check before commit it [Playtester]
2006/08/30
	* Added missing NEXT; to some custom quests. Thanks to $ephiroth [Lupus]
	* A small fix to the 2006 headgears quest, thanks to Belle for telling me about the problem. [MasterOfMuppets]
	* Added temporary Ice Dungeon spawn file (commented for now) [Playtester]
2006/08/29
	* Fixed a bug in the sign quest that prevented people from advancing in it. [MasterOfMuppets]
	* Changed some broadcast colors in the god item quest. [MasterOfMuppets]
	* Some preparations for the upcoming Izlude Arena [MasterOfMuppets]
	* eAAC Update to the Coin Banker. [erKURITA]
2006/08/27
	* Fixed a syntax error on npc/guild/nguild/nguild_warper.txt line 37 [Toms]
	* After big discussion at the board, by default we decided to disable CUSTOM
	  Guild Storage option in Guild Kafras. You can uncomment it in functions_kafras.txt [Lupus]
	- Also made Novice Castles Event close to the original: 1st classes over 60 Base Level
	  can't take part. Novice Castles also manufacture not more than
	  1 Treasure Chest despite of the Economic invest.
	- Fixed custom Bandit's Beard quest. Thanks to Vhan Morthis for pointing it out.
2006/08/26
	* Added official effects to the Socket Enchant NPC [Playtester]
2006/08/25
	* Reverted the mapflag changes to Lighthalzen. [MasterOfMuppets]
	* Little correction on Assassin Job Quest [Toms]
2006/08/24
	* Various fixes on Headgear 2006 quests [Playtester]
	* Updated Treasure Chests Numver formula to the Aegis one: Economic/5+4 [Lupus]
	- Updated Bio Ethics Quest to let Creators+Baby Alchemists learn the skill as well
	- Moved it to Alchemist Skill Quests
	- Added NO LOOT, NO EXP mapflags to Lighthalzen (Gangsters exploit fix)
2006/08/22
	* Fixed bug letting anyone get homunculus skills from Bio Ethics [Evera]
	* Updated Gunslinger Quest, removed "Thin Trunk" (7186) according to RockmanEXE [Toms]
2006/08/21
	* Fixing MoM's typos (Citrin -> Citrine) over Lv4 weapon quest. [erKURITA]
	* Implemented the God item quest. [MasterOfMuppets]
	- Thanks to SinSloth for scripting most of it.
	- Beware of potential bugs.
	- A grammar check-up would be appreciated.
2006/08/20
	* Implemented the Einbroch polution script. [MasterOfMuppets]
	* Implemented the official 2005 headgear quests. [MasterOfMuppets]
2006/08/19
	* Uncommented Homunculus shop for Homunculus in Trunk [Evera]
2006/08/15
	* Fixed Kellasus giving extra skills in Bio Ethics Quest [Evera]
	* Added Ammo Dealer Tony [Playtester]
	* Fixed some parts of the Gunslinger gun quests [Playtester]
	* Added Ammo Casing Seller Kenny [Playtester]
	* Added Holy Arrow Quivers to Inventor Jaax [Playtester]
	* Added all the Gunslinger gun quests [Playtester]
	- sphere creation and ammo casing are still missing, working on it
	- removed erKURITA's version, he's okay with it
2006/08/14
	* Various changes in other/dts_warper.txt [Evera]
	- Uses new global var $dtsday to count voting sessions [Evera]
	- Bug fix for a bug involving both warpers being activated at the same time [Evera]
	- Need bug testers for these fixes before stable merge [Evera]
	* Updated header in other/Global_Functions.txt [Evera]
	* Fixed the int&str bug of test tube in bio labs quest [Evera]
	* Fixed 2006 headgears npc giving you Lion Mask rather than Lion Masquerade [Playtester]
	* Moved the Gunslinger quest NPCs to gunslinger_quests.txt [Playtester]
	- put erKURITA's version of the Garrison quest into another file since I already
	  added a complete version, use it if you like it more
	- also gave the NPCs their official names
	* Changed DTS warper to use MISC_QUEST|128 instead of dtseligible,2. [Evera]
	- May be some bugs, it's 1am @_@, look through it before trunk merge. [Evera]
	* Added Garbage clearing for dtseligible,2 -> MISC_QUEST|128, and added that func call to DTS warper. [Evera]
	* Added (finally) the official Inn Maid of Rachel. Save and warp points
	  are official aswell, thanks to RockmanEXE [erKURITA]
	* Added (finally) the Garrison quest npc. Item requirements are the official ones,
	  but the quest... well you know. Thanks to RockmanEXE [erKURITA]
2006/08/13
	* Finished Bio Ethics Quest, need bug testers before finalizing and moving to stable [Evera]
	* Added Bio Ethics Quest variable to bit shift MISC_QUEST|64, and added to quest_variables.txt [Evera]
	* Fixed Bio Ethics Quest, had a few bugs >_< [Evera]
	* The Sign Quest: moved #aldesignwarp to fix enless warp [Lupus]
2006/08/12
	* Fixed id of Dryad Card in the Headgears 2006 quest thanks to tonyfud [Playtester]
	* Added Violin[3] to the Comodo Weapon seller [Playtester]
	* Optimized a warp near Gunslinger weapon shop [Playtester]
	* Extended the Garrison quest to slot the Garrison [Playtester]
2006/08/10
	* Switch airplanelocation variables to temp variables to avoid unuseful mapreg(sql/txt) writes [Toms]
	* Added file for gunslinger quests [Playtester]
	- Garrison quest is done and tested
	* Fixed header on DTS warper [Evera]
	* Added bit to Bio Ethics quest to warp out player if attempts quest, since quest is unfinished [Evera]
	* Some Einbroch respawn time fixes [Playtester]
2006/08/09
	* A small sign quest fix according to a recent patch. [MasterOfMuppets]
2006/08/06
	* Added official spawn locations for all Yuno Fields [Playtester]
	- note: only works with Skotlex's spawn area fix
2006/08/05
	* Fixed NPC event parameter deprecated of Adoption. [Lupus]
		Thx 2 tuproc 4 pointing it out
	* Fixed the Socket Enchanter thinking some items are Class C [Playtester]
2006/08/04
	* Added some official spawn locations from Aegis [Playtester]
	* Re-enabled Socket Enchanter, it's official thus enabled by default [Playtester]
	- If you think it ruins your server's economy COMMENT IT FOR YOUR OWN SERVER, thanks.
	- If you want it disabled please discuss in the Development forum about it first!
2006/08/03
	* Once again disabled the socket enchant NPC.
	- unless your server's rates are 1/1/1, it will COMPLETELY ruin your server's economy. [Musashiden]
	* Updated the Kafra Express files to the July 28 release as requested on
	  the forums. [Skotlex]
	* Fixed the DTS warper zeny bug [Evera]
2006/08/02
	* Re-enabled the Culvert Save [Evera]
	* Removed save points outside towns (from inside) from Kafras [Evera]
	- Kafras will no longer display "Save Outside City," and will just save you inside
	* Added official success rates of the Socket Enchant NPC [Playtester]
	* Fixed Sharon's abuse at Hunter Job Quest 8) Thanks to mike04 for pointing it out [Lupus]
2006/07/31
	* Updated the Geffenia spawns. [MasterOfMuppets]
	* Some small changes to the sign quest [MasterOfMuppets]
	* Cleared 2006 Headgear quests a bit [Lupus]
	- Made Gunslinger Job Quest use 1 variable instead of 2 [Lupus]
2006/07/30
	* Added 2006 Headgear quests... note that they will need to be updated with official dialog
	  and NPC ID.	[Reddozen]
	* Optimized Gunslinger Job Quest, rediced vars number, updated Global_Functions.txt [Lupus]
2006/07/29
	* Some more sign quest warps and a small change to the comodo gambling NPC. [MasterOfMuppets]
	* Fixed a mixed up mob id in Thanatos spawns [Playtester]
	* Added temporary Beholder and Gremlin spawns [Playtester]
	- their drops are needed but Airship quest isn't finished yet
	- should be commented once Airship quest is finished
	- also added two airship warps
2006/07/27
	* Fixed the Morroc ingredient seller to not appear [Playtester]
	* Fixed some spawns and a warp in Sunken Ship [Playtester]
2006/07/26
	* Fixed the Factory Quest [Playtester]
	- two NPCs in one line won't work! >_>
2006/07/25
	* Added first part of Bio Ethics Quest [Evera]
	- Far from complete :<
	* Some small fixes to the sign quest [MasterOfMuppets]
	* Updated Thanatos Tower spawns [Playtester]
	- they are official up to Floor 6 now
2006/07/24
	* Tiny typo fix in a Rekenber Guard dialog [DracoRPG]
	* Added temporary Rachel spawn file, commented for now [Playtester]
2006/07/23
	* Removed the regular Thanatos spawn, since the quest is now implemented. [MasterOfMuppets]
	* Implemented the Niflheim town invasion. [MasterOfMuppets]
	* Jawaii warp now costs 10,000z [Playtester]
	* Implemented the sign quest, please test it if you have some free time :P [MasterOfMuppets]
	- We need to know if there's any bugs left to implement it in stable
	* Changed the names of some NPCs [MasterOfMuppets]
2006/07/22
	* Removed two warps in Aldebaran in preparation for the sign quest. [MasterOfMuppets]
2006/07/21
	* Fixed a typo in guides_einbr.txt [Playtester]
	* Added the Cube Room Maze thanks to Tharis and Tantarian [Playtester]
2006/07/20
	* Split quest from cities/izlude.txt to quests/quests_izlude.txt [Evera]
	* Split quest from cities/alberta.txt to quests/quests_alberta.txt [Evera]
	* Split quests from cities/amatsu.txt to quests/quests_amatsu.txt [Evera]
	* Split quests from cities/ayothaya.txt to quests/quests_ayothaya.txt [Evera]
	* Split Doomed Sword quests from cities/comodo.txt to quests/quests_comodo.txt [Evera]
	* Split Einbech quests from cities/einbech.txt to quests/quests_ein.txt [Evera]
	* Renamed quests/quests_einbroch.txt to quests/quests_ein.txt [Evera]
	* Split more Einbroch quests in cities/einbroch.txt to quests/quests_einbroch.txt [Evera]
2006/07/19
	* Completed the sign quest warps [MasterOfMuppets]
2006/07/18
	* Fixed a warp in moc_pryd06 [Playtester]
2006/07/17
	* Enchanting a Tiara now costs 2M [Playtester]
	* Added slotted Running Shirt to Comobo Gambling [Playtester]
2006/07/16
	* Small spawn update in Kiel Dungeon [Playtester]
2006/07/15
	* Removed global eligibility option from DTS warper [Evera]
	- Added old global eligibility variable for DTS warper to garbage [Evera]
	- Fixed incorrect information in DTS warper header [Evera]
	* Fixed Detale's spawn location [Playtester]
	* Fixed Blue Fish quest only removing 1 Stinky Scale [Playtester]
	* Fixed some typos in cities/izlude.txt thanks to Zarnox [Playtester]
2006/07/14
	* Fixed a quest NPC giving you a Huge Leaf rather than Smokie Leaf [Playtester]
	* Improved the Fox Mask quest [Playtester]
	* Small Kafra coordinate fixes [Playtester]
2006/07/13
	* Fixed an invalid savepoint in Lighthalzen Inn. [Adam]
	* Added Sephiroth's version of the Rachel Sanctuary Warps [Playtester]
	- remove the comments in the warp file if you want to use them
	* Fixed some typos thanks to Zarnox [Playtester]
	* Disabled socket enchant npc. [Musashiden]
2006/07/09
	* Added some missing Rachel Warps [Playtester]
	* Added a fix to npc/other/books.txt [Playtester]
2006/07/07
	* Fixed a few bugs in 2004_headgears.txt [Evera]
	* Fixed a small bug in the swordsman job quest [MasterOfMuppets]
	- thanks to tenshi7angel for notifying me about it.
	* Small fix in the Blacksmith Quest [Playtester]
2006/07/05
	* Fixed Dancer Job Quest (3rd part) thx2Alis [Lupus]
	* Went trough all scripts and turned all job numbers -> constants [Lupus]
2006/07/05
	* fixed missing labels socket_enchant.txt [Lupus]
	* Standardized NPCs quest/quests_city headers, now says 'Quest NPCs related to'
	- Also fixed typos in those NPC city headers [Evera]
	* Removed that Dbbug announce line from the 2004 headgears quest npc.
	  [Skotlex]
	* Fixed Book of Yamir stucking [Lupus]
	* Fixed bugs / typos in 2004_headgears.txt, thanks to Qwadrat [Lupus]
	* Updated Socket Enchant NPC [Playtester]
	- fixed various bugs
	- adjusted success rates
	- now has official coordinates and sprite
2006/07/04
	* Added the Socket Enchant NPC written by Sousuke_PL [Playtester]
	- I already tested and fixed some stuff but requires some more testing
	* Implemented the official 2004 Headgear quests, thanks to Dj-Yhn [MasterOfMuppets]
	  for the conversion from Aegis format.
2006/07/03
	* Fixed bug in DTS warper that votes weren't counted on Sunday [Evera]
	- Changed requirement for vote eligibility in DTS warper to 60
	  (Was previously completion of President's Quest, but since it wasn't
	  done, I used a random chance) [Evera]
	* eAAC update to donation girl. [erKURITA]
	* Split cities/einbroch.txt to cities/einbroch.txt and quests/quests_einbroch.txt [Evera]
	- Fixed some small typos [Evera]
	* Fixed many many bugs in Crusader Job Quest [Lupus]
	  Changed all numbers to job_constants
2006/07/02
	* Split quests from cities/louyang.txt to quests/quests_louyang.txt [Evera]
	* Added some fixed positions and fixed mob id in Einbroch spawns [Playtester]
	* Moved Earth Petits away from the Coal Mine Entrance Map in eamobs [Playtester]
2006/07/01
	* Fixed a warp in the Ice Dungeon [Playtester]
2006/06/30
	* Implemented the eye of hellion quest. [MasterOfMuppets]
	* Added official Thanatos Tower quest thanks to Ishizu-chan [Playtester]
	* Completely updated Lighthalzen Field spawns to X.4 [Playtester]
	* Completely updated Einbroch Field spawns to X.4 [Playtester]
	* Completely updated Yuno Field spawns to X.4 [Playtester]
	* Updated Orc Village spawns to X.4 [Playtester]
	* Fixed a Rachel Field warp [Playtester]
	* Fixed some warps thanks to akihito [Playtester]
	* Updated Byalan F5 spawns to X.4 [Playtester]
	* Added custom/floating_rates.txt [Lupus]
	  Random change of Drop/Exp rates from 1x to 1.5x every 6 hours
	NOTE! Take a look at an incredible script function 'setbattleflag'
2006/06/29
	* Fixed many typos on cities/alberta.txt and airports/airships.txt, with information from Crono/Hollengrhen [Evera]
	- Fixed many typos on cities/aldebaran.txt [Evera]
	* Stricted up penal servitude conditions [Lupus]
	- Restricted Novices Castles entrance of TK/Highs to 80 BaseLevel
2006/06/28
	* Updated yuno_fild03 spawns [Playtester]
2006/06/27
	* Added Rachel NPCs:
		~ Added Official warps of Rachel. About 50% of them. Will get the rest soon. [erKURITA]
		~ Added the Tool/Armor/Weapon dealer, aswell as a Vegetable Gardener. [erKURITA]
		~ Added the guards + guide locations. Also added the Zondaman location. [erKURITA]
		~ Added Rachel Inn npc. [erKURITA]
	\- Special thanks to RockmanEXE for all the info above.
	* eAAC update to the vending machine, disguiser and quest warper. [erKURITA]
2006/06/26
	* Added BIT-WISE perm variables info quest_variables.txt [Lupus]
2006/06/25
	* Moved Umbala quests from cities/ to quests/, namely Skeletal Gate, Umbala Event, and Create/Dismantle Stone
	  - Moved Piano and Book of Devil quest from cities/niflheim.txt to quests/quests_niflheim.txt
	  - Moved Culvert from cities/prontera.txt to quests/quests_prontera.txt [Evera]
	* Fixed possible exploit in umbala elemental stone quest [Playtester]
	* Added a shop NPC to Prontera, it's required for the Hellion Quest. [MasterOfMuppets]
2006/06/24
	* Fixed some typos and coordinates [Musashiden]
2006/06/23
	* Merged JFunc 2-1, 2-2 functions, fixed bugs with missing dialogues [Lupus]
		and changed job numbers to constants
	* Updated Valhalla [Lupus]
	- Also fixed some typos. Thx2 Mitternacht
2006/06/22
	* Fixed treasure chests round number exploit [Lupus]
	  Now u get an extra chest one exact 4 Eco.pts adding
2006/06/21
	* Yuno/Lhz/Thanatos spawn updates thanks to Tharis [Playtester]
	* Fixed some spawns in Odin Temple [Playtester]
	* Updated Hugel to official X.4 spawns thanks to Tharis [Playtester]
	* Updated Einbroch to official X.4 spawns thanks to Tharis [Playtester]
2006/06/19
	* Changed Doctor Quest item names to updated item_db names (cities/louyang.txt) [Evera]
	* Fixed Quest requirements in cities/louyang.txt [Playtester]
	* Fixed umbala.txt's Elemental Stones Quest bug. Thanks to Vhan Morthis.
	  [Skotlex]
	* Removed Jfunc1-1.txt, merged parts of scripts back. Changed job numbers to constants [Lupus]
	- Jfunc2-1.txt & Jfunc2-2.txt todo
2006/06/17
	* Fixed a Rachel warp thanks to Dr.Evil [Playtester]
	* Fixed some typos in quests_lighthalzen.txt thanks to Karore [Playtester]
2006/06/16
	* Implemented the Lover's quest. [MasterOfMuppets]
	* Yet another missing Juno warp. [musashiden]
	* Corrected a duplicate juno warp + a juno guide sprite. [Musashiden]
	* Updated sample script mob_controller.cpp to the latest standards. [Lance]
	* Commited Silent's Fix to the duplicate NPCs [Playtester]
	- needs testing
	- can't be fully fixed because of length limitation of names
2006/06/15
	* Juno's NPCs are now updated (unless i missed one) according to iRO! yay! [Musashiden]
	* Juno Update Process. 75% complete. [Musashiden]
	* Fixed the gambling npc giving Orc Helm [1] instead of the non-slotted version. [MasterOfMuppets]
	* Dr.Evil fixed some parts of his Umbala script [Playtester]
	* Updated the color codes on the Juno Guides mini map illustrations. [Musashiden]
	* Juno Update Process. 50% complete. [Musashiden]
	* Fixed an exploit in the Comodo gambling script. [Lupus]
2006/06/14
	* Separated the Metto quest from the juno town npcs file. [musashiden]
	* Juno Update Process. 30% complete. [Musashiden]
	* Some more sign quest warps [MasterOfMuppets]
	* Fixed Job Level requirement for Auto-Berserk [Playtester]
	* Fixed some experience gained bugs in two scripts. [MasterOfMuppets]
	- Also fixed a major problem in the level 4 weapon quest, thanks to Qwadrat.
	* Fixed an exploit in the comodo gambling script, thanks to reddozen [MasterOfMuppets]
2006/06/13
	* Fixed exploit in Louyang NPC [Playtester]
	* More Abyss/Thanatos spawn updates according to info from Tharis [Playtester]
	* Added Dr.Evil's fixes to the Umbala NPCs [Playtester]
	- probably needs some testing
	* Fixed the Job Level requirement for Arrow Crafting [Playtester]
2006/06/12
	* Implemented the comodo gambling NPCs. Thanks to reddozen and Zefris. [MasterOfMuppets]
	* Looks like somebody needs sleep. (Typos in Yuno.txt) [Lance]
	* Juno Update Process. 10% complete. [Musashiden]
	* Implemented a missing NPC in Amatsu and fixed up the old [MasterOfMuppets]
	  version of the Momotaro event, it is now a permanent quest.
	* Started the Juno Update process. 5% complete. [Musashiden]
	* Added custom quest for 5 mobile RO bonus items [Lupus]
		Bird Nest,Lion Mask,Skeleton Manteau,Fashion Hip Sack,Sales Banner
	* Changed Biolab quest so that case for the first letter of each input doesn't matter. [Evera]
	* Fixed some typos in the new spawns [Playtester]
	* Implemented Amatsu guides and changed/removed some Amatsu warps [MasterOfMuppets]
2006/06/11
	* Updated spawns by Tharis, thanks to Saycyber21 [Vicious]
	* Implemented the Poison King quest, beware of potential bugs. [MasterOfMuppets]
	* eAAC update:
		- Added Vending Machine, made by Celestria. [erKURITA]
		- Updated and fixed Coin Banker, by me :P. [erKURITA]
	* Updated all job quests, Valhallana, to completely save/restore ALL Quest Skills [Lupus]
	  IMPORTANT! Don't forget to update all files, includin new Global_Functions.txt
2006/06/09
	* Added some missing iRO - Lighthalzen NPCs [Musashiden]
	* Fixed a problem with Kafra's getarg(1),6 of showing the default menu [Evera]
	* Fixed Lighthalzen and Yuno Kafra respawn locations [Playtester]
	* Implemented two airship mini games scripted by Dj-Yhn [MasterOfMuppets]
	* A small fix to Shinokas quest [MasterOfMuppets]
	* Reverted back fully working counteragent_mixture.txt. Don't touch 8) PM me [Lupus]
2006/06/07
	* Fixed Yuno Kafra warp, sorry guys, I made a typo [Evera]
	* Readded the 'al_morgen' variable to counteragent_mixture.txt, it's needed [MasterOfMuppets]
	  for the alchemist quest. Thanks to Belle for the fix.
	* Added Save/Load Quest Skills (1st/2nd Class quest skills!) global functions. To test and
	  insert into Valhalla NPC. They use ONE variable for all skills [Lupus]

2006/06/06
	* Fixed missing function problems for Kafra, also now using cleararray instead of assigning blank variables to every other array [Evera]
	* Implemented the Shinokas quest, thanks to Dj-Yhn for scripting it. [MasterOfMuppets]
	* Added Rachel interior warps thanks to Celestria [Playtester]
2006/06/05
	* Implemented some more Louyang npcs, thanks to Prometheus for them. [MasterOfMuppets]
	* Implemented an inn NPC in Einbroch [MasterOfMuppets]
	* Fixed some typos in Lighthalzen [Playtester]
2006/06/03
	* Implemented some more airship NPCs, more are to come. [MasterOfMuppets]
	- Also put in a few warps from the sign quest which is to come.
	* Updated Kafras [Evera]
	* Small adjustment to Thanatos Tower spawns [Playtester]
	* Fixed some typos and warps in Einbech [Playtester]
	* Fixed a small typo in cities/aldebaran.txt thanks to LightFighter [Playtester]
2006/06/02
	* Removed Bio Lab from eamobs [Playtester]
	- since the official entrance is in it's no longer needed
2006/05/31
	* Now only one Chung E spawns in Louyang [Playtester]
	* Added Rachel and Ice Dungeon warps [Playtester]
	* Now re-using one variable MISC_QUEST for such quests: [Lupus]
	  Morgenstein, Nifl Witch, Edgar's Offer, Prontera Culvert,
	  Juice Maker, Tempestra,
	- replaced BUNYBND with @BUNYBND
	- added a special global function "F_ClearGarbage" function [Lupus]
	  that converts old quest variables into MISC_QUEST bits;
	  clears outdated, wasted variables. Temporary added its calls into Warpra & Kafra
	IMPORTANT! Update all your quests and Global_Functions.txt
		If you continue using not updated Quests scripts, it could cause
		some exploits or the passed quests reset
2006/05/30
	* Fixed Jawaii Classic Suite NPC warping directly ontop of a warp [Evera]
	* Fixed the Umbala Skeleton Gate thanks to LightFighter and Naf- [Playtester]
	* Implemented the Lighthalzen guides, added some missing warps [MasterOfMuppets]
	  and a tool dealer.
	* Re-made some quest to use 1 variable instead of 2 or 3... [Lupus]
	- Juice Maker, Morgenstein+Alchemist Job Quest, Tempestra
		Make a habbit to clean your global_reg_value table from event vars & old garbage
2006/05/29
	* Changed DTS warper vote count to use 1 variable. [Evera]
2006/05/27
	* Implemented a small quest in Einbroch and fixed the name of the [MasterOfMuppets]
	  spawning mobsters in Lighthalzen
	* Implemented the second entrance to biolabs and added some crap NPCs [MasterOfMuppets]
	- The sewer pipe does no longer REQUIRE a lab passport, but it requires completion of the cube quest
	- The second entrance to biolabs does not REQUIRE completion of the cube quest, but it does require
	  a lab passport.
	* Updated DTS Warper; Now uses 3 global vars, 2 are vote #, 1 is etc in binary values. [Evera]
	* Implemented the friendship quest. *finally* [MasterOfMuppets]
2006/05/26
	* Modified Kiel spawn file [Playtester]
	- only one Aliza each floor
	- Kiel D-01 spawns every 2 hours on floor 2
	* Uncommented Odin and Kiel spawn files, they are mostly safe to use [Playtester]
	- you still can't access Kiel's place, though
2006/05/25
	* Fixed Abyss Lake spawns [Playtester]
	* Fixed Thanatos Tower spawns [Playtester]
	* Added a custom Market Place to clear Prontera streets from annoying shops. [Lupus]
		'novending' mapflag sample: Try it and adjust the script as you want.
	* Optimized a bit scripted warps, got rid of 'anthell' perm var [Lupus]
2006/05/24
	* Removed Blue Potions from Yuno Shops [Playtester]
	* Fixed the Thanatos Floor 12 warp [Playtester]
	- coordinates are just guessed
	- whoever does the quest should fix the warps there anyways
	* Commented the custom Geffenia Fountain by default [Playtester]
	* Added the Novice Exchange Quest provided by Dr.Evil [Playtester]
	- exchange novice loot for Red Potions
2006/05/23
	* Fixed a bug in the new Job Master [Playtester]
	- he rebirthed you even if you haven't reached level 99...
	* Changed the questions of the Wizard Quiz to official ones [Playtester]
2006/05/22
	* Global_Functions fix. Jobmaster fix. [Lance]
2006/05/19
	* eAAC Update + Fix [erKURITA]
	* Translated sample/gstorage_test.txt
	* Commented a warp that stands in the middle of nowhere [Playtester]
2006/05/17
	* Now the Inns are like on official servers [Playtester]
2006/05/15
	* Fixed DTS warper, optimized Kafra and changed pay cave and orc village kafra [Evera]
	* Fixed Amon Ra's spawning location [Playtester]
	* Corrected 10 Geminis spawning in Lhz1 rather than 2. [Skotlex]
2006/05/14
	* Fixed the quiz in the Wizard Job quest a bit [Playtester]
2006/05/13
	* Fixed the new shops [Playtester]
	* Added missing shops at Beacon Island [Playtester]
2006/05/12
	* Added DTS (Dungeon Teleport System) Warper NPC [Evera]
2006/05/10
	* Fixed some typos and grammatical errors on the Job Dancer quest...
	  [Skotlex]
	* Fixed Inn dialogues [Playtester]
2006/05/09
	* Inn now costs 5k at every level [Playtester]
2006/05/07
	* Fixed some grammar errors in Thief Job, Kunai, and others [KillerBox]
	* Fixed Sea Otter Quest thanks to nolider [Playtester]
2006/05/06
	* Fixed the warp in the Turbo Track Room [Playtester]
2006/05/04
	* Hopefully fixed the custom Prontera Cemetery Event [Playtester]
	* Fixed a missing " in the gunslinger jobquest script [Playtester]
	- some others fixes as well thanks to sodaboy581 and css25
	- some typo fixed as well
2006/05/02
	* Added kunai_maker.txt to make elemental kunais. [erKURITA]
	* Added new npcs @ que_ng.gat ninja map portion. [erKURITA]
	* Added new shops @ que_ng.gat ninja map portion. [erKURITA]
	* Commented wrong shops @ amatsu.txt. [erKURITA]
	* Added que_ng.gat ninja map portion's warp. [erKURITA]
	* Modified and corrected the gunslinger quest. [erKURITA]
2006/05/01
	* Fixed an NPC in Morroc who still said the Dragon Fly is North [Playtester]
2006/04/30
	* Made Geffen Tower 1 in eamobs a bit more crowded [Playtester]
	* Added the correct spawns for Ancient Geffenia(gef_dun03) [Playtester]
	* Added some tabs to the Pickpocket Quest so it's more readable [Playtester]
	* Added first version Gywall's Pickpocket Quest [Playtester]
	* Updated several job quests so they work again thanks to sodaboy581 [Playtester]
	* Fixed mjolnir_12 -> prt_maze01 warp [Playtester]
2006/04/27
	* Fixed an Aldebaran Castle 4 warp again [Playtester]
2006/04/26
	* Commented out temp Gunslinger shops. [Lupus]
	* Fixed Food Seller in Alberta thanks to Sousuke [Playtester]
	* functions_kafra.txt was pretty buggy, including a zeny exploit (free warps). Thanks to OZ over IRC
	  for pointing out. It needs more optimization too. [erKURITA]
	* eAAC Update: quest_warper.txt [erKURITA]
2006/04/25
	* Re-made the Izlude NPCs with new dialogues among other things. Thanks to Muad_Dib [Kargha]
	* Added two Alberta NPCs thanks to Sousuke [Playtester]
	* Cube Room Quest: fixed "free stick" bug, thx 2 Neouni [Lupus]
2006/04/23
	* Rearranged Ingredient Sellers. Removed doubled seller from Morocc [Lupus]
	* Added an ingredient seller to Morroc, thanks to Muad_Dib [MasterOfMuppets]
	* Fixed the names of the Lighthalzen and Einbroch refiners, thanks to Muad_Dib [Kargha]
2006/04/22
	* Fixed some typos in the mage quest thanks to decayed.cell [Playtester]
2006/04/21
	* Fixed Chung E / Green Maiden spawn in Louyang [Playtester]
2006/04/20
	* Added missing Kafra in Prontera [Playtester]
	* Hopefully also fixed the custom job master [Playtester]
	* Fixed it again, better use constants [Playtester]
	* Fixed Rebirth script not working for some Knights and Crusaders [Playtester]
	- needs some testing!
	* Fixed Taekwon quest obviously never working [Playtester]
	* Updated Job Quests of Taekwon, SG, SL (all thanks to Celestria) [Lupus]
		They have oficial sprites, actions. But some dialogs are made up. ^_-
	- Don't forget to update your Global_Functions.txt !
2006/04/19
	* Whoops, eAAC members made a mistake with scripts and I didn't notice => Quest Warper.txt [erKURITA]
	* Added quest_warper.txt and banker.txt to npc\customs\eAAC_Scripts. [erKURITA]
2006/04/18
	* Fixed custom Jobmaster not rebirthing Crusaders on a Pecopeco [Playtester]
2006/04/16
	* Updated lhz_fild03 according to info from kRO thanks to RockmanEXE [Playtester]
	* Whoops, forgot to remove clone_arena from the scripts_eaac.conf. [erKURITA]
	* Enabled import: line on scripts_main.conf for scritps_eaac.conf. The scripts
	  are disabled there anyway.... [erKURITA]
	* Commited musashiden's kiel dungeon warps [erKURITA]
	* Commited musashiden's Lighthalzen fixes [MasterOfMuppets]
	* Fixed aldeg_cas04 random warp [Playtester]
	* Fixed merchants/grandpa_pharmacist.txt thanks to KarLaeda [Playtester]
	* Removed Cube room warps from the quest script [Lupus]
2006/04/15
	* Fixed Mobster's OnDead event [Playtester]
	* Implemented Musashiden's Lighthalzen npcs - Part 2 [Shadow]
	* Renamed Mastersmith Howard to Whitesmith Howard in the spawn files [Playtester]
	* Implemented Musashiden's Lighthalzen npcs [MasterOfMuppets]
	* Fixed Einbroch & Archer Village Guide bugs, thanks to NeatElves 4 pointing the bug [Lupus]
	* Modified the Cloth Dyer so that he refuses to dye your clothes [Playtester]
	* Added weight checks to merchants/refine.txt thanks to Neouni [Playtester]
	* Fixed names of Lighthalzen mobs in spawn files [Playtester]
	* Changed Juperos spawns according to info provided by Tharis [Playtester]
2006/04/14
	* Added quest_warper.txt to eAAC_Scripts. Deleted the sql and txt versions
	  of the disguiser and added a merge of both. Deleted clone_arena.txt.
	  Updated global_functionsKE.txt of Skotlex. [erKURITA]
	* Added some more Kiel warps thanks to Celestria [Playtester]
	* Cleaned up eamobs [Playtester]
	- deleted all files that have no difference to mobs
	- scripts_eamonsters.conf now links to mobs for those cases
	* Added a temporary script to enter Gefenia for some Zeny [Playtester]
	- will be replaced once we have finished The Sign Quest
2006/04/13
	* Finally added the missing Xmas spawns in Geffen Field [Playtester]
	* Added a few missing warps in Lighthalzen, thanks to Kargha. [MasterOfMuppets]
	* Some more crap NPCs implemented in Lighthalzen, thanks to Kargha [MasterOfMuppets]
	  for scripting them.
	* Implemented some crap NPCs in Lighthalzen [MasterOfMuppets]
	* Fixed SOME bugs in Hugel.txt, hu_guide.txt. thanks to joshuaali [Lupus]
		Guys, do always check the scripts before committing V_V'
2006/04/12
	* Added up the locations but temporal names of Poring track npcs. Will be worked
	  on over time. [erKURITA]
	* Fitted the many lines into 1 or 2, and corrected some typos on most of
	  the npc\guides. Visual update to the guards, for short. [erKURITA]
	* Fixed a typo in quests/juperos.txt [Playtester]
	* Fixed Bio Lab spawns to official jRO [Playtester]
	- Also included custom spawns for Bio Labs
	  (Floor 1 can't be accessed directly so it should be harder)
	* Added some Kiel building warps thanks to Celestria [Playtester]
	* Implemented the Juperos quest partially. [MasterOfMuppets]
	- Also fixed the spawns there and in biolabs a bit.
	* Fixed a few warps warping you back (they've been there for long =X). [erKURITA]
	* Corrected some errors in cities/hugel.txt and guides/guides_hu.txt
	  [Foruken]
2006/04/11
	* Updated mapflags (missing hugel, job quest map, etc)
	* Changed item description in Sage Skills Quest (Blank Script -> Empty
	  Script) thanks to MeL [Foruken]
	* Updated a couple shops of Hugel, plus added the firecracker shop on Hugel. [erKURITA]
	* Added Gunslinger quest npc and shops on que_ng.gat. Same map for Ninja's
	  job quest. [erKURITA]
	* Added warps for que_ng.gat. [erKURITA]
	* Also added temporal locations for the npcs inside. [erKURITA]
	* Fixed an back warp on hu_in01,15,70 (walk to the warp, then warps you back) [erKURITA]
	* Moved and finished Hugel's guard (who happens to be a granny) [erKURITa]
	~ All info given by RockmanEXE :P
2006/04/10
	* Updated refiner, thx2 Coltaro [Lupus]
2006/04/08
	* Fixed lighthalzen mobster a bit? [Vicious]
	* Fixed job changer? [Vicious]
2006/04/04
	* Re-fixed looping warps of Lutie village, thanks to Dr.Evil [Lupus]
	* Added missing Warpra Agent to Hugel. Thanks to Justin84
	* Fixed typo in Falcon Renter. Thanks to Larry
2006/04/03
	* Fixed Treasure Chest bug (They used to disappear on each reboot) [Lupus]
	- Updated Novices Castles Warper restrictions: TK,High Classes over 89 lvl;
		Added more buffs restrictions
2006/04/02
	* Added missing kafra in Lighthalzen, thanks to Muad_Dib [Vicious]
	* Fixed baby job change, thanks to Larry [Vicious]
	* Moved the spawn update to eamobs (of course the custom spawns where not changed... much :P) [Poki#3]
	* Fixed sage script? [Vicious]
	* Fixed more of wrong female thief bug spawn [Vicious]
	* Umbala Bungee Jump - Warps you to Niff with 1HP no watter what [Lance]
2006/03/30
	* Fixed refiner full price display, thanks to S4Sly [Vicious]
	* Training ground giving 5 kafra storage/teleport pass [Vicious]
	* Revised all the spawns based on Emperium.org. [Poki#3]
	- Only omobs got changed. eamobs is like it was.
	- I unified the formatting used for the map names. Please use that in future field expansions.
2006/03/27
	* Fixed the infinite warp looping between Lutie and Lutie field 01 [Skotlex]
2006/03/23
	* Updated Rebirth NPC/functions to use constant. Might have broken it, so do report [Vicious]
2006/03/21
	* Improved payment healer. [Lance]
2006/03/20
	* Added temp Job quests of Ninja and Gunslinger, thx2 Gywall [Lupus]
	* Fixed endless warping loops, thanks to Manipulator [Lupus]
	* Fixed possible Castle Economy investment overflow with Emsolute Develop learnt [Lupus]
	* Removed Berserk Potions from all shops, but Comodo [Lupus]
2006/03/19
	* Fixed Female Thief Bug in novice land. [Vicious]
2006/03/17
	* Added attachnpctimer to the Juperos elevator script. [Skotlex]
2006/03/13
	* Updated the jobmaster custom script to properly use Job_* constants
	  rather than hardcoded numbers. Thanks to Pxxx for doing the update.
	  [Skotlex]
2006/03/12
	* Amatsu Field. Replaced Hydras with official G_HYDRA (w/o drops) [Lupus]
2006/03/11
	* Updates of eAAC scripts [MasterOfMuppets]
	* Added another weapon dealer to Einbroch, thanks to Muad_Dib [MasterOfMuppets]
	* Updated, fixed Custom Thanatos Statues Quest, thx2Justin84 for help [Lupus]
2006/03/10
	* Fixed Turtle Island quest, got rid of 2 useless variables [Lupus]
	* Added 3 Weapon shops, thanks to Muad_Dib. Still need SPRITES ID [Lupus]
		^^^^^ could we just add spr ID's into CONST.txt?
2006/03/07
	* Fixed some reference to old locations of the Blacksmith NPC's, Thanks to Neouni. [Poki#3]
2006/03/06
	* Fixed Thanatos warps: tha_t06,tha_t06a,tha_t06b,tha_t05a thanks to Justin84 [Lupus]
	- Added Temp Thanatos Keys solution (more close to official than that Thanatos Statues Quest)
2006/03/05
	* Used "Laboratory Passport" everywhere in the cube room quest, else how can ppl guess the name? xD [DracoRPG]
2006/03/02
	* Added Skotlex's updated marriage script [Vicious]
	* Added eACC scripts, thanks to davidchak [Vicious]
2006/02/27
	* Fixed a flag direction in front of Yesnelph, thanks to Playtester [DracoRPG]
	* Fixed wrong Female Thief Bug spawns in Culvert, thanks to happylight [DracoRPG]
	* Fixed a typo in Assassin job change test, thanks to Spiritual_Kid [DracoRPG]
2006/02/26
	* Splitted 2nd job skills quests into several files and fixed grammar [DracoRPG]
	* Rewrote the repairmen function and removed the Steel cost [DracoRPG]
2006/02/23
	* Fixed item name in Cube Room Quest. [Poki#3]
	* Changed Light Dun Spawn numbers a bit (Gemini is a Mini-boss) [Poki#3]
	* Changed "Virus" to "Anopheles" [Poki#3]
2006/02/21
	* Fixed wrong indication of Repairsman, thanks to NeoSaro [Lupus]
2006/02/17
	* Added Kafra Storage Password (some official severs use it as an additional protection) [Lupus]
	- Read functions_kafras.txt comments if you want to disable this feature
2006/02/16
	* Fixed Jawai bug and a typo, thanks to theultramage [Lupus]
2006/02/14
	* Added a new Fruit Merchant in Hugel. [Poki#3]
	* New, updated st.Valentine Event with a nice quest and EXP bonuses ^_- [Lupus]
2006/02/13
	* Updated the eA custom spawn sets from Playtester: Juperos lv1, Glast heim
	  Sewers/Underground and Geffen dungeon lv3. [Skotlex]
2006/02/09
	* Fixed another issue of Cube Room Quest [Lupus]
	- Fixed event_6_new_hats.txt wrong ID, thanks to phabyo
2006/02/07
	* Added missing semicolons in the valentine's day event and disabled the Dog's year event. [Zephiris]
	* Added a custom quest for Jewel Case for 99 Base Level Players of 2nd Class [Lupus]
	* Fixed the spawns that where using the no exp/drop version of Male Thief Bug (Thanks to irmin) [Poki#3]
2006/02/05
	* Lighthalzen cube quest: Fixed password bug, fixed endless item exploit, some typos [Lupus]
	* Added yuno_in02 into noteleport/nomemo, etc map flags. It spoils the quest [Lupus]
		There's 1 missing mapflag: 'noreturn' (you may use butterfly wings to escape)
2006/02/03
	* Implemented the cube room quest [MasterOfMuppets]
	* Temp measure to stop exploit in novice ground. [Vicious]
2006/01/31
	* Fixed another bug in the monk quest. [Zephiris]
2006/01/29
	* Updated the Juperos dungeon spawns according to ROmap. [MasterOfMuppets]
2006/01/28
	* Fixed Warp to Abbys Lake. [Poki#3]
	* Removed dup warps around Einbroch. [Poki#3]
	* Fixed ein_fild04 -> ein_fild05 warp. THanks to Playtester [Poki#3]
	* Re-wrote the Dye NCP (original, not the custom one) [Poki#3]
	- I hope there aren't any bugs in it. The Jobs are sorted based on the file names
	  that the client reads.
	* Fixed the Warper [Poki#3]
	* Fixed Hugel warps (htere weren't any TABs) [Lupus]
	* Added Event: Eastern New Year 2006 The Year Of The Fire Dog (28-29 January 2006) [Lupus]
2006/01/27
	* Added birkiczd's Odin temple warps. Move the Saylor from hugel.txt there. [Poki#3]
	* Rewrote Comodo Guides to use functions. Thanks to Daegaladh for pointing it out [Poki#3]
	* Fixed Einbroch a bit... I think the Factory Quest should be moved from [Poki#3]
	  Einbroch.txt to quests_einbroch.txt...
	* Added monster spawns for Kiel dungeon, they're commented out for now though. [MasterOfMuppets]
	* Added a new global function "F_ItemName" to print expanded item name [Lupus]
		such as '+9 VVS Wind Knife'
	- You can use "F_RandMes" to pick a random number form list:
		set @RandomItemIDfromList, callfunc("F_RandMes",4,1129,1222,1163,1357);
2006/01/26
	* Uploaded Er_Maqui's fixes to Hugel Warps. [Poki#3]
	* Updated the airship to take the route Hugel->Einbroch->Lighthalzen->Yuno [MasterOfMuppets]
	  I also fixed the colors in the broadcasts a bit.
	* Fixed Bio Lab Spawns a bit and made them more moby. [Poki#3]
	* 1.2 fixed hugel10 warp [Lupus]
	* A small fix to the louyang shouting quest [MasterOfMuppets]
	* Some Hugel warps fixes by Dr.Evil [Poki#3]
	* Fixed cord of the Sailor in Hugel, thanks to Er_Maqui for pointing it out. [Poki#3]
	* Applyed Blackthunder's fixes to rpsroulette.txt [Poki#3]
	* Rewrote the Warpa. Still have to do the Level select thingy. [Poki#3]
	* Fixed Juno > Yuno in Airship. [Poki#3]
	* Fixed Shwaltzvalt > Schwarzwald in Kafras. [Poki#3]
	* Changed sprite of the Einbech Kafra. [Poki#3]
	* Disabled the "Entrance" to lhz_dun01. This should be only an Exit. This warp doesn't exist on kRO. [Poki#3]
	* Added Lighthalzen Refiners (Custom names again ^^;) Official location and sprite. [Poki#3]
	* Fixed some shops based on kRO shots. Lighthalzen NPC's, Prontera Food Seller, Payon shops. [Poki#3]
	* Added some Hugel NPC's. Cords and Sprites are 100% Correct, but the names are not. [Poki#3]
	  Plus no one knows what the NPCs are talking right now :/
	* Added Hugel Shops. [Poki#3]
	* Removed the Custom Warper to Odin. Hugel has a more official one. [Poki#3]
2006/01/24
	* Fixed Yuno Field 10. Mob amount sugested by Playtester, made by Poki#3 [Komurka]
	- Moved some NPCs to Einbroch and Hugel - more info can be found here http://eathena.ws/board/index.php?showtopic=67631,
	  made by Poki#3
2006/01/23
	* Minor Valkirie fixes, thanks to Xeronage [Lupus]
	- Updated Novices Guild Castles Warper NPC
2006/01/21
	* Added missing close to Einbroch script [Komurka]
	* More of episode X.4 replacement, done by Poki#3 [Komurka]
	* Added a missing warp from Jawaii Tawern to Jawaii thanks to Misao [Komurka]
2006/01/20
	* Dr Evil's Yuno -> Yuno Field 05 warps update [Lupus]
	* Fixed minor typo in alde guide. [Kayla]
2006/01/18
	* Episode X.4 replacement, done by Poki#3 [Vicious]
	* Part 1 of Hugel monster replacement, done by Poki#3 [Vicious]
	* Added a temp warper to Odin's Temple by birkiczd [Lupus]
	- fixed Payon <- Payon Field 08 warp coords
2006/01/16
	* Corrected warp 'lhz013a' in Lighthalzen.  Added a missing check and fixed a LOT of Engrish in the Monk Job Quest. [Zephiris]
	* Corrected the warp to board the airship in Einbroch, and the warp inside the northwest building in Lighthalzen. [Zephiris]
	* Updated Ayothaya Quest close to the official. Thanks to birkiczd
	- Also optimized it again, remove unused global variable [Lupus]
2006/01/12
	* Small fix in SL and SG quest [Komurka]
2006/01/11
	* Fixed typos of Crusader JQ, added TK/SG/SL to custom/jobmaster thanks to Haplo [Lupus]
	* Updated Valhalla a bit. Soon adding more elegant way of saving Quest Skills (including the new quest skills) [Lupus]
2006/01/09
	* Fixed scripts that were reported in the forum. [Vicious]
2006/01/08
	* Changed the name of Chung E to Green Maiden in the spawn files [MasterOfMuppets]
	* Changed some Zherlthsh to Zealotus as it is in iRO [MasterOfMuppets]
	* Added exp bonus to the factory quest in Einbroch, thanks to a [MasterOfMuppets]
	  Korean fansite
2006/01/07
	* Updated warps, work done by SSUNNY@YOUNG in Korean eA site [Vicious]
	* Disabled X-Mas Ring quest [Vicious]
2006/01/05
	* Disabled X-Mas event [Vicious]
	* Corrected the coordinates for the NPC "Neris" in yuno_in03 [Zephiris]
	* Multiple tiny fixes that were going ignored on the forums... [Skotlex]
2006/01/02
	* Removed a duplicate warp in warp/cities/payon.txt [MasterOfMuppets]
2005/12/31
	* Added wand of hypnotist to the Lighthalzen weapon shop [MasterOfMuppets]
2005/12/30
	* Fixed missing //, found by map_index. [Vicious]
	* Added a missing label (M_0) that was causing people to freeze when viewing the city list from "Miss Yoon" [Zephiris]
2005/12/28
	* Karachun Event: Readded Mdef +1 and Luk +1 to Santa's Hat [Lupus]
	* Fixed juicer exploit due to typo (ipnut) o.O [Lance]
2005/12/27
	* Added Soul Linker / Star Gladiator temp job quests. Accordingly updated Taekwon Job NPC [Lupus]
2005/12/26
	* Removed duplicate job_hunter.gat mapflags, by Harbin [LuzZza]
	* Changed remaining Dokkaebi Items into Dokebi, by Harbin, reported by Haplo [LuzZza]
	* Changed Dokkaebi to Dokebi, by Harbin [Vicious]
	* Updated Culvert Recruiter to allow novices to go to Culvert
	 & Al De turbo track warps by Harbin [Vicious]
	* Added missing cutin's in Priest Quest [Komurka]
2005/12/23
	* Small fix (Falcon Taming -> Falcon Mastery) [Komurka]
	* Desert Wolf Babe -> Baby Desert Wolf (iRO), thx to Poki#3 [Komurka]
2005/12/22
	* Added a Bartender NPC in morroc, thanks to Persian69 [Vicious]

	* Fixed X-Hairpin ingredients, thx2 Komurka [Lupus]
2005/12/21
	* Fixed Hugel warps, thanks to... ppl.. ^^; [Vicious]
	* Fixed Ayothaya warps, thanks to Sir_Loon [Lupus]
2005/12/19
	* Added Sara-chan's corrections to Hugel warps. [Valaris]
	* Added Garden City Hugel city and field maps and warps (thanks to Sara-chan ^_^) [Valaris]
	* Added a custom event/quest 'Karachun' (for magic Christmas rings) [Lupus]
2005/12/17
	* Fixed more Monsters Museum typos, thx 2Haplo. Also fixed some monsters names [Lupus]
2005/12/16
	* Updated Chef Hat quest items Feather 300->330. Thanks to Ishizu-chan [Lupus]
	* Reversed custom Wizard Hat quest due to Treasure Box drop changes [Lupus]
	* Updated exploitable custom quest for Berzebub Card [Lupus]
2005/12/15
	* Added kobold leader to geffen feild 12 in eamobs and omobs. [Kayla]
2005/12/14
	* Updated wedding costs to offical values (600k for groom, 500k for bride). Deleted
	  npc/other/wedding.txt (very old). Enabled marriage.txt by default. [Kayla]
2005/12/13
	* Fixed a Lighthalzen warp warping you to a non-walkable tile [MasterOfMuppets]
2005/12/12
	* Added 4 functions to spiff up your dialogues: F_Hi, F_Bye, F_RandMes, F_SexMes [Lupus]
	- Moved jobName to Global_Functions.txt
	* Fixed Monk quest [Lupus]
	* Fixed Bard Quest, added check for exploits, added a new flower 'Izidor' [Lupus]
		thanx to VicHoX for pointing out the bug. Now RTFM ^_-
2005/12/11
	* Fixed some typos, thanks to Haplo [Lupus]
	* Also fixed 'Lutie quest reset' bug [Lupus]
	* Fixed Bard & Lutie quests passable during the X-Mas Event. thanks Zephiris for pointing it out [Lupus]
	* Revised again all the quests, found and fixed 2 bugs, also optimized conditions [Lupus]
2005/12/10
	* Added the Lighthalzen Kafras, thanks to Vicious_Pucca for information. [MasterOfMuppets]
	* Added the Homunculus shop in Aldebaran, it's commented for now until [MasterOfMuppets]
	  we get homunculuses working.
	* Fixed, optimized 2nd Class Skills Quests, [Lupus]
	- removed Elemental Potion Guide from Alchemist NPC, due to new Reddozen's quest
2005/12/09
	* Cleaned up custom folder, lots of duplicate NPCs. [Kayla]
2005/12/08
	* Updated 2nd class quest skills NPCs, made by Reddozen and battousai90. [Vicious]
	* Organized Jobs folder a bit for Expended Classes. [Vicious]
	* Fixed dialouge in blood_bandana quest. Thanks Razor87 for the report. [Kayla]
2005/12/07
	* Added the New Novice Training grounds, beware of potentional bugs and [MasterOfMuppets]
	  faulty dialogues. I kept the old script as OLDnovice.txt just incase. Thanks to Dr.Evil
	  for doing most of the work.
	* A small fix to the Louyang script. [MasterOfMuppets]
2005/12/05
	* Fixed a typo in Aldebarran Guard "Hace a name". eAOS Bug Report [Kayla]
	* Fixed another small screw-up in the color codes of the Glastheim Bulletin Board,
	  eaos Bug Report[Kayla]
	* Fixed a typo in NPC:Raust, eAOS bug report. [Kayla]
	* Fixed a typo in NPC:Gushenmu, eAOS bug report. [Kayla]
	* Added a nice custom Perchik's quest ** SIGN YOUR ITEMS ** [Lupus]
	  Now your players can sign their rare headgears or weapons with their own name
2005/12/04
	* Fixed Sage Job Quest bug, thanks to Lorky [Lupus]
2005/12/02
	* Removed two duplicates of each gonryun dungeon level in nomemo.txt  [MasterOfMuppets]
	* Fixed a small screw-up in the color codes of the Glastheim Bulletin Board, [MasterOfMuppets]
	  thanks to Playtester.
	* Added some Christmas Orcs to event/xmas.txt, thanks to Playtester [MasterOfMuppets]
	- Christmas Goblins were added to yuno_fild09 as well.
	- Enabled the christmas event by default as it has started in kRO sakray
2005/12/01
	* The bio lab dungeon bosses will now only spawn one at a time, [MasterOfMuppets]
	  they are randomly selected.
	* Removed some duplicate warps in Einbech [MasterOfMuppets]
	* Fixed tab on pvp_noguild, thanks to NeoSaro [Vicious]
	* Added the noteleport and nomemo mapflags to the lzh_in-maps [MasterOfMuppets]
	* Implemented k3dt's guild flag exploit fix [Vicious]
2005/11/30
	* Updated Hugel field spawns, thanks to battousai [MasterOfMuppets]
	* Made all (Desert Wolf Puppy / Desert Wolf Puppy) -> Desert Wolf Babe [Lupus]
	  the same thing is for Savage Babe. Also fixed eggs names
	* Fixed typo in nopenalty. Umatsu? XD [Vicious]
	* Fixed a minor screw-up in airships.txt [MasterOfMuppets]
	* A small fix to the Divorce NPC in other/wedding.txt, it should [MasterOfMuppets]
	  now allow people who didn't marry with the other/wedding.txt to divorce as well
	* Commented the warp from gef_dun02 to gef_dun03, gef_dun03 [MasterOfMuppets]
	  is an event map >.<
	* Commented "Traveler" out as it is not needed/official [Vicious]
2005/11/29
	* Fixed a Payon dungeon warp that was warping to a non-existant tile [MasterOfMuppets]
	* Updated the color codes of louyang.txt a little
	  and fixed the shouting quest to broadcast green text. [MasterOfMuppets]
	* Fixed quest_lutie, thanks to Manipulator [Vicious]
	* Updated cooking NPC, thanks to battousai90 [Vicious]
2005/11/28
	* Updated the spawnpoint in Niflheim with Bungy jump [Vicious]
	* More fixes... some things can be fixed by the core. Has to make something [Lupus]
	* Massive anti-exploit fix of quests. 2B Continued [Lupus]
	* Updated Umbala. Fixed Umb.Lang.Quest items names. [Lupus]
	  Now you can go to Niflheim trough Jumping Bungy Area.
2005/11/27
	* Added some more npcs to Einbroch and removed some warps [MasterOfMuppets]
2005/11/26
	* Added eamobs containing fix for exploitable spawns. Switch is in scripts_main.
	  The eaMobs is suggested for smaller servers but mobs is official. [Kayla]
	* Re-Enabled city cleaners (why was this turned off?) [Kayla]
	* Updated mobs to prevent exploitable spawning (AMs, Seals). Thanks Redflame. [Kayla]
	* Updated detective hat to ask for the correct items [Kayla]
	* Fixed 2 bugs in New Hats_6. It deleted 100 Amultets instead of 10 and only 1 Steel instead of 25 [Lupus]
		thanks 2Yun for Amulets bug.. so I found the similiar one with steel 8) We have to recheck all scripts 8)))
	* Fixed some mapname typos in mob spawn scripts (mostly Prontera and Geffen fields) [Lupus]
	* Spiffed up 6_new_hats custom quest NPCs coords [Lupus]
	* Added new cities into warper & warper2 [Lupus]
	* Removed some buggy custom quests. Those items has appeared in recent official quests [Lupus]
		e.g. Excalibur, some hats, etc
2005/11/25
	* Added a temp shop in Yuno to sell blank scrolls, thanks to reddozen [MasterOfMuppets]
	* Added the Einbech Kafra [MasterOfMuppets]
	* Added Thanatos entrance warp. Thanks to Justin84 [Lupus]
2005/11/23
	* Fixed santa goblin spawn locations in event/xmas.txt [Kayla]
	* Temp fix for Kafra functions. New eA script engine has new CLOSE2 command [Lupus]
	  so some old scripts were... 'stuckable' 8)
	* Updated Thanatos & Turbo Trach warps, thanks to Justin84 [Lupus]
2005/11/22
	* Kafra fixed: Now Baby Merchant can pass Merch Job Quest w/o probs [Lupus]
2005/11/20
	* Fixed a major problem in event/xmas.txt [MasterOfMuppets]
	* Readded Lord of Death to Niflheim [MasterOfMuppets]
	* Fixed a typo in cities/ayothaya.txt, nothing big [MasterOfMuppets]
	* Changed the Einbroch area spawns a bit using iRO info from emperium.org [MasterOfMuppets]
2005/11/18
	* Added the last of the bulletin boards [MasterOfMuppets]
	* Alberta, fixed bugs [Lupus]
	* Typos and minor fixes of Assassin JQ and Clothes_dyer. thanks to momotaro_master & WhiteLight for info [Lupus]
	* Added missing dialogues into Cooking Quest. Fixed a bug when you stuck if u haven't bought [Lupus]
	  cooking sets before getting the quest, some optimizations, etc. Now fully workign 8)
2005/11/17
	* Fixed custom MVP arena warper. R4000! [Kayla]
	* Added more Food Sellers (for Cooking Quest). Some of them have temp sprites and coords [Lupus]
2005/11/16
	* Fixed the payon guide to give the right description at label L_Dungeon [MasterOfMuppets]
	  thanks to muad_dib
	* A minor fix to a screwup in the lvl 4 weapon quest, thanks to vicious_pucca [MasterOfMuppets]
	* Fixed the lvl 4 S grade weapon quest only giving 8 kinds of weapons instead [MasterOfMuppets]
	  of 16, thanks to Gepard for pointing it out.
	* Minor fix of SN Kafra rent service. It firstly checks for Push Cart skill and
	  then gets money [Lupus]
	* Fixed more bugs (wrong ID, wrong labels, missing text) in Cooking quest. [Lupus]
	  Now you can pass loaned books to other people but have to return them to
	  the Chef, before loaning another one. Added Leather Pouch into item_trade.txt
	  it's a quest item, you can't sell/pass it to the others. It should be done
	  with similiar quest items, too.
2005/11/15
	* Updated Cooking Quest, according to Reddozen's changes [Lupus]
	* Added missing cities into noBranch / noIcewall mapflags files [Lupus]
	* Prontera Maze mob spawn typo fixed, thanks to noobs [Lupus]
	* Cooking quest: Fixed wrong label [Lupus]
2005/11/14
	* Added 1 Kafra to Payon, fixed Save menu & coords. Thanks to Justin84 [Lupus]
	* Fixed Mixture Quest [Lupus]
	* Fixed the Universal Renter not correctly checking for Riding chars. Now
	  also rents Carts to S. Novices [Skotlex]
	* Fixed some cooking quest bugs [Lupus]
	* Updated Lighthalzen Dungeon warps. thanks to Justin84 [Lupus]
2005/11/10
	* Updated swordsman_skills.txt to allow any swordsman subclass to be able to get the [MasterOfMuppets]
	  skills as well, thanks to vicious_pucca.
	* Fixed npc sprites for the cooking quest npcs, thanks to Silent for the sprite IDs [MasterOfMuppets]
	* Added Cooking Quest. Thanks to Reddozen [Lupus]
	* Added reddozen's fix of Alchemist.txt (Materials / Manuals) [Lupus]
	* Fixed Juperos Elevator, coords of Twin Tower NPC, Mr.Smile. Thanks to Justin84 [Lupus]
	* Added more quests for 2nd Class Quest Skills [Lupus]
2005/11/09
	* Added an incomplete sign quest for backup/storing purposes, use it at your own risk! [MasterOfMuppets]
	* Remove a few message boards from msgboard.txt to not conflict with some [MasterOfMuppets]
	  sign quest npcs.
	* Added two warps in prontera for preparing the sign quest [MasterOfMuppets]
	* Added temp skill quests for all complete 2nd Class Quest Skills [Lupus]
2005/11/08
	* A lot of typos fixed in the lvl 4 weapon quest, thanks to Silent. [MasterOfMuppets]
2005/11/07
	* Added the lvl 4 weapon quest, thanks a lot to Vicious_pucca for converting it from [MasterOfMuppets]
	  aegis format to eA format. a lot of thanks to reddozen as well for fixing bugs.
	  - Also two quest related NPCs was added to Geffen and Morroc
	* Fixed a misleading typo in quest/monstertamers.txt, thanks to vicious_pucca [MasterOfMuppets]
	  for pointing it out.
	* Updated the spawns of Santa Porings and Antonios in event/xmas.txt [MasterOfMuppets]
2005/11/06
	* Big update to town guards. Changed according to how it is on iRO [MasterOfMuppets]
	  thanks to Muad_Dib. The following towns had their guards updated:
	  - Alberta
	  - Aldebaran
	  - Comodo
	  - Izlude
          - Payon
          - Prontera
	* Added Yuno and Lighthalzen Airports. Thanks to Justin84 [Lupus]
2005/11/05
	* Fixed a small bug in the jawaii warper, thanks to reddozen and Silent [MasterOfMuppets]
	* Fixed a small typo in Alberta's weapon shop, thanks to reddozen for the fix [MasterOfMuppets]
	* Added warps to the Izlude Airship, thanks to Justin84 [Lupus]
	* Fixed both warper&warper2 Izlede location was ovelapped with BB, thanks to Justin84
	- fixed wrong header of moc_fild19 BB, thanks to Justin84
2005/11/04
	* Updated Geffenia's monster spawns [MasterOfMuppets]
	* Fixed flags in geffen town (whoops I worked too fast :-x) [Kayla]
	* Removed Surrender Abbility in guild manager (was 100% custom) [Kayla]
2005/11/02
	* Removed flags around fountain in the top of Prontera guild map [Kayla]
	* Added a missing warp in Jawaii, thanks to Zoc [MasterOfMuppets]
2005/10/31
	* Finished the Einbech town script, thanks to muad_dib [MasterOfMuppets]
	* Added the official Jawaii script, information from iRO [MasterOfMuppets]
	- Beware of potentional bugs
	- Added the divorcer as well
	* Updated Jawaii's warps [MasterOfMuppets]
	* Added Venom Knives into da shops [Lupus]
2005/10/30
	* Added Wild roses to spawn in a few more towns [MasterOfMuppets]
	* Added monsters spawns to Jawaii [MasterOfMuppets]
2005/10/29
	* A small fix to the obb quest, thanks to marquis007 [MasterOfMuppets]
	* Fixed the flag guild script. Now one can only flag in using the flags outside the castle. [Kayla]
2005/10/28
	* Fixed Sage Job Quest [Lupus]
	- Its questions should be revised, especially about other NPC names
	* Added new Prontera Kafra's coords into mini-map location info [Lupus]
	* Updated North Prontera Kafra, thanks to Vicious_Pucca [Lupus]
	* Fixed Prontera Kafras not teleporting to Alberta [Lupus]
	* Added a missing Guide to Einbrochm thx2 Justin84
	* Updated all guides, fixed common guide names for correct duplicate() [Lupus]
2005/10/26
	* Added some more Einbech npcs, thanks to Muad_Dib of Prometheus [MasterOfMuppets]
	* Added noteleport to Gefenia maps [MasterOfMuppets]
	* Added more Juperos Warps and Scripts by Justin84 [Lupus]
	* Re-enabled main Lighthalzen Entrance warp [Lupus]
2005/10/25
	* Updated Lutie Quests. Sloppy copy and paste job. Vending Machine man now knows his own items. [Kayla]
	* Updated Indian Hairband Quest. It asked for hairband, should have been Indian Filet (5010) [Kayla]
2005/10/24
	*Added real spawns for Thanatos and Abyss. [Nexon]
2005/10/23
	* Updated WoE (Guilds War) scripts to work correctly with /breakguild [Lupus]
	  They should abandon occupied castles of the broken guild
2005/10/22
	* Added Abyss warps and a few NPC's. [Nexon]
	* Added lighthalzen security guard/ security event quest. [Nexon]
2005/10/19
	* Thanks to Justin84:
	- Updated Thanatos Tower warps, added NOTELEPORT to some thanatos tower levels
	- Fixed custom WoE Setter (break; -> end;)
	* Updated some Airport warps as provided by Justin84 [Skotlex]
	* Updated and fixed Sage Job Quest [Lupus]
	* Fine-tuned the warp in Thanatos lv11 (tha_t11.gat,92,32 ->
	  tha_t11.gat,93,36) as pointed out by erKURITA. [Skotlex]
2005/10/17
	* Increased mob count in Lighthalzen Lv3 as requested by Vicious. [Skotlex]
	* Added the noteleport mapflag to Amatsu Dungeon lvl 1, thanks to frugal [MasterOfMuppets]
	*Fixed a lot of scripts that may have been exploitable, fixed typos, and optimized a bunch of other scripts. Thanks to Silent. [Nexon]
2005/10/16
	* Fixed Einbroch Airport, Lighhalzen Dungeon warp. Thanks to Justin84 [Lupus]
	* Fixed Thanatos Tower Statues quest bug, thanx 2 Dr.Evil for info [Lupus]
	* Enabled lighthalzen guards quest, updated lighthalzen warps, thx2Justin84 [Lupus]
2005/10/15
	* Added in lighthalzen guards quest. Not implemented until the entire quest has been finished. [Nexon]
2005/10/14
	* Increased mob count in lhz dun 03 as pointed out by Viccious Pucca. [Skotlex]
	* Changed some item names to the iRO ones in a quest dialog, thanks to Komurka. [MasterOfMuppets]
2005/10/13
	* Updated Thanatos Tower warps, added custom Thanatos Tower Statues quest by Bibilol & Moryagorn [Lupus]
	* Moved a few misplaced npcs from Einbech to Einbroch [MasterOfMuppets]
	* Added Bacsojin and Chung E to Louyang dungeon, thanks to Tron and Dr. Evil [MasterOfMuppets]
2005/10/12
	* Added Muad-dib's Einbroch Airport, converted by Dr.Evil [Lupus]
	* Added secret Lighthalzen dungeon entrance point. Provided by Justin84 [Lupus]
	- It's commented out yet. Could someone investigate it?
2005/10/11
	* Fixed Zealotus Mask NPC (->Piece of Black Quartz) thanx to vicious_pucca for info [Lupus]
	* Added some Einbech NPCs [reddozen]
	* Added some Einbroch NPCs [MasterOfMuppets]
	- fixed alchemist.txt (Bowl issue)
	* Added 2 Kafras to Einbroch (thanx to MasterOfMuppets 4info), fixed NPC coords of Guide [Lupus]
	* Fixed Lighthalzen Dungeon Entrance conditions check, thanx to Daegaladh [Lupus]
2005/10/10
	* Updated Geffenia spawns, thanks to Master of Muppets [Skotlex]
	* Yet again fixed some missing tabs in Enbech, Enbech/Einbroch Guides [Luups]
	* Fixed missing tabs in Enbech Town. [Mass Zero]
	* Added Einbech Guides, thanks to Muad_Dib and MasterOfMuppets. [Mass Zero]
	* Added Einbroch Guides, thanks to Reddozen and MasterOfMuppets. [Mass Zero]
	* Added Einbech warps, thanks to Muad_Dib. [Mass Zero]
	* Added Einbech Town, thanks to Muad_Dib and MasterOfMuppets. [Mass Zero]
	* Changed 'ends' into 'breaks' in the Wandering Poet NPC, thanks to IVBela. [Mass Zero]
2005/10/08
	* Fixed Ayothaya town script, thanks to Poki#3 [Lupus]
	* Total warps update of Hidden Temple (Forest Labyrinth), thanks to jA and Dr.Evil for info [Lupus]
	* Updated Payon and Morroc (Jellopy->Scell) shops, thanks to Muad-Dib and andz [Lupus]
	* Added Lighthalzen,Einbroch,Einbech shops. Updated Prontera,Morroc,Payon shops [Lupus]
	- Thanks to Muad-dib, Nexon, andz, MasterOfMuppets
	* Due to added Magic Scrolls drops... finally removed the temp shop [Lupus]
2005/10/07
	* Added more shops. Thanks to Vicious_Pucca. [Nexon]
	* Added more Einbroch shop NPC's. Thanks to MasterOfMuppets and Vicious_Pucca. [Nexon]
	* Fixed Niffelheim warps. Thanks to MasterOfMuppets. [Nexon]
	* Added Lighthalzen shops. Thanks to Maud_Dib. [Nexon]
	* Returned back Mr.Smile quest (it's still up in kRO) [Lupus]
	* Updated official Bard Job Quest: Flowers Part now is quite easy to pass trough [Lupus]
	  (thanks to Vicious Pucca for info)
	* Thanks to MasterOfMuppats for some Kafra changes: [Lupus]
	- Updated teleport destinations of Aldebaran,Comodo, Izlude and Morroc Kafras
	* More Bulletin Boards [MasterOfMuppets]
	* Added Einbech and Einbroch Item NPC's. [Nexon]
	* Updated all scripts to work with the script engine update (changed break
	  to end, changed some If to if) [Skotlex]
	* Added official (iRO) Old Blue Box quest to Comodo. Thanks to Celestia (it's another girl, not Celest) for help. [Lupus]
2005/10/06
	* Thanks to Justin84: [Lupus]
	- Fixed ingridients typo in Acolyte Skill Quest
	- Fixed Arena MVP (custom script), Lighthalzen warps coords
2005/10/04
	* Fixed explot in bunnyband quest on giving and taking items away being seperated. [Nexon]
	* Fixed a missing close; in the bulletin boards. [Nexon]
2005/10/03
	* Fixed 2 wrong Achemist test answers, thanx to zlider for info [Lupus]
	* Updated some of the Lighthalzen mobs as pointed out by Master of Muppets.
	  [Skotlex]
	* Added 5092 Coif into Prontera Church Shop. Thanx 2 andz  [Lupus]
	* Fixed Thanatos and Abyss Dungeon Spawns. Thanks to Azazel. [Nexon]
	* Fixed 700+ spelling mistakes. I have alot of time on my hands for some reason... [Nexon]
2005/10/02
	* Added Gotanblue#2 to Turtle Island (to be able to return back) [Lupus]
	- Optimized Alberta, fixed typos
	* Aldebaran, fixed missing label. Optimized [Lupus]
	* Fixed some Headgears coords, sprites, names, ingridients. [Lupus]
	  Thanks to Vicious_Pucca for info
2005/10/01
	* Fixed spwan mobs names Kobold N -> Kobold, Goblin - >Goblin [Lupus]
	* Added missing close; in blacksmith JQm thanx2palasx [Lupus]
	* Updated Crusader job quest a bit, thanks to vicious_pucca for reminding us this quest
	  is only a temp one... [DracoRPG]
2005/09/29
	* Added missing Niflheim warps to the INN and house needed to complete the
	  Piano Key Quest. [Skotlex]
	* Added temp warps of Thanatos Tower by Moryagorn [Lupus]
2005/09/28
	* Fixed Super Novice quest. Now BABY can be a SUPER BABY. Finally 8) [Lupus]
	* Updated some warps (Payon / Guilds) thanks to Yor
	* Fixed Blacksmith Job Quest items typos, thanks to Yor
2005/09/26
	* Added official Ayothaya Town script by MasterOfMuppets [Lupus]
	- Fixed Ayothaya warp scripts
	- Updated BBS
2005/09/23
	* Al De Baran: Finally added the Kafras Special Reserve 2 Lotto with official prizes [Lupus]
	  (80% official, 4-5 entries are made up) also changed typo Orange Potions -> Red Potions
2005/09/21
	* Commented out Mr.Smile Quest (now Tengu drops that mask) [Lupus]
	* Fixed Bunny Band NPC location, removed NPC dupes [Lupus]
2005/09/20
	* Removed Choco from Ayo_fild1, Fixed Petits IDs at Hugel field [Lupus]
	  thanks to MasterOfMuppets, Vicious_Puca, akusarujin
2005/09/19
	* Minor fix of Louyang by MasterOfMuppets [Lupus]
	* Added official Ayothaya shops by MasterOfMuppets
	* Added 1 Choco to Ayothaya field, thx to vicious_pucca
	* Official Ayothaya sailor warper by MasterOfMuppets
	* New number of Treasure Boxes per castle: 20 -> 25 at 100 Economic pts [Lupus]
	  So you get your first chest only when your Economic Pts >= 4
2005/09/18
	* Fixed Guilds Kafras charging player for their Kafra Storage usage [Lupus]
2005/09/17
	* Changed Yuno guide soldiers to use Schwartzhald Republic ones [DracoRPG]
	* Removed useless 1.3MB 'old' folder in guild scripts [DracoRPG]
	* Fixed Amatsu Kafra Storage Issue, thanks to zlider for pointing out [Lupus]
	* Updated teleport service prices in the Prontera & Alberta. Thanks to MasterOfMuppets for info [Lupus]
	- Also Merchant Job Quest Kafra's warp price has been updated.
2005/09/16
	* Updated some monsters stats (Lighthalzen, Einbroch) thanx to MasterOfMuppets [Lupus]
	- Also updated bulletin_boards.txt
	* Added temp mobs spawn of Thanatos Tower/Abyss Lake dungeons thanx to Azazel
	- Based on limited info. All the new mobs come with poring stats ^_-
2005/09/15
	* Added new maps, temp warps for Abyss Lake Dungeon (thanks to Muad-Dib) [Lupus]
	- I recommend closing that dungeon and new monsters yet,
		they have temp stats and could cause some exploits in the future
2005/09/14
	* Updated Yuno fields mobs spawn, thanks to MasterOfMuppets [Lupus]
	- Updated Lighthalzen and Einbroch fields, too
	* Made some parts of Bards Quest more official ^_-. WIP: Adding Bard's NPC pics (like Kafras) [Lupus]
2005/09/13
	* Added correct Ayothaya, Louyang & amatsu Kafras. Thanks to Muad-Dib for info [Lupus]
	* Fixed 'Gaurdian' typo, Added real coords and sprite to amatsu Kafra [Lupus]
	* Added new scripts. Thanks Muad-Dib for his scripts, Dr.Evil for their conversion : [Lupus]
	- White Day, Temp Geffenia Event, Valentines day, Zondaman Warper
	- Quivers Maker NPC
2005/09/12
	* Minor fix of Bard quest, added GM Reset menu to Adoption. Fixed Guides [Lupus]
	* Added Juperos warps (thanks to Muad-Dib, Dr.Evil) [Lupus]
	* Lutie town bugfix (fixed some items exploit, found due to Bard Quest optimization 8) [Lupus]
	* Added an official Bards Job Quest. [Lupus]
	- Basical conversion from Muad-Dib's Prometeus format by Dr.Evil
	- Implementation of 4 official Bards weapon prizes by Dr.Evil
	- Final optimization and bug fix by Lupus
		NOTE: Don't forget to update your old Lutie.txt and Global_Functions.txt
	* Added temp Amatsu Kafra (wrong sprite, wrong coords yet) [Lupus]
2005/09/11
	* Added temp Ayothaya Kafra (wrong sprite, wrong coords yet) [Lupus]
	- Made all dungeons Kafras not saving your coords again (re-checked sources)
	* Added official Bulletin Boards script by MasterOfMuppets
	* Resticted entrance of 3F Lighthalzen dungeonby Azazel [Lupus]
	* Added Belts to Prontera/Aldebaran shops, thanks to reddozen [Lupus]
	* Optimized Louyang city NPCs. Made Louyang quests vars unique [Lupus]
2005/09/10
	* Fixed some Kafras not allowing you to save your Position [Lupus]
	* Updated missing Louyang warps. [Lupus]
	- Replaced custom Louyang with official one. Thanks to MasterOfMuppets
	- Added Louyang official Kafra (only Storage, Save) [Lupus]
	* Added official Hair Styler [Lupus]
	- Thanks to Muad Dib for the script. Thanks to Dr.Evil for a nice conversion.
	TODO: optimize Louyang and Hair Styler scripts 8)) [Lupus]
	* Removed Ice-Cream dealer from Morocc (according to patch) [Lupus]
2005/09/07
	* Fixed Super Novice job quest. Now a Baby can become a Super Baby. [Lupus]
2005/09/06
	* Removed massdriller's "illuminaRO" part from the Merchant jobquest script. What was that good for? [Mass Zero]
2005/09/04
	* Optimized Prontera city script. Now Novices > 20 BaseJob Level can go in the Culvert [Lupus]
	* Fixed minor coords issues of 19/20 warps of Monks Job Quest, Lutie Tool Shop, warps in PVP area, 1 Izlude warp. Thanks to Yor
	* Minor fix of Bear Hat Quest: changed ingredients (Zipper>Bear Skin) [Lupus]
	* Minor fix of Acolyte Job Quest message. Thanx to andz for pointing it out [Lupus]
	* Optimized ADOPTION.TXT again. Tested it with 3 clients. Fully working! [Lupus]
	* Moved Fashion Quest into the proper folder: custom/quests . Also optimized the script [Lupus]
	* Wizards Job Quest: Replcaced 2 Hodes with 2 Horongs (according to the official stuff) [Lupus]
	* Removed duplicate Lighthalzen dungeons/fields warps, thanks to our super moderator, T3H
	  Manipulator! [DracoRPG]
	* Updated mob spawns with Dr. Evil ones, they should all be correct and up-to-date,
	  including Lighthalzen and Juperos dungeons. If something goes wrong, then let's revert,
	  but I think there won't be any problem (Frugal advised me to use them, and Frugal is a
	  good spawn expert IMHO :p) [DracoRPG]
2005/08/31
	* Some fixes to the refine npc. [Skotlex]
	* Fixed Lighthalzen field <-> Lightalzen city warps, thanks to Poki#3 [DracoRPG]
	* Moved Tao Gunka to Comodo West Cave (made Megalithes as his slaves),
		Placed Lady Tany in the 2F of Ayothaya Dungeon [Lupus]
2005/08/29
	* Added Dead Branch (and Bloody Branch) quest by GM-Yevon [Lupus]
	* Fixed Adoption.txt [Lupus]
2005/08/28
	* Added a Taekwon NPC (to get Taekwon Job). It's temp tough [Lupus]
2005/08/27
	* Splitted anti-taekwon protection from double-adopt protection in adoption.txt, should
	  allow to see more easily what is the problem [DracoRPG]
	* Updated Is_Taekwon_Class with Job_Star_Gladiator2 [DracoRPG]
2005/08/26
	* Reupdated the refine npc to not use recursive functions. [Skotlex]
	* Fixed Wool Hat quest items. Thanx to the__android [Lupus]
2005/08/25
	* Updated Louyang spawns according to ep 8.5 by MasterOfMuppets [Lupus]
	* Updated Lighthalzen Field 03 spawns by MasterOfMuppets [Lupus]
	* Fixed THQ Shop menu prices, thx to NeatElves [Lupus]
	* Added Hugel Mob Spawns by MasterOfMuppets [Lupus]
2005/08/24
	* Updated refine.txt from Freya [Lupus]
2005/08/23
	* Added new Hugel Field Warps by Sara [Lupus]
	* Updated mobs spawn of magmadun.txt by MasterOfMuppets
	  Also updated KAHO's stats according to new kRO site info
2005/08/21
	* Orc Hero Helm fixed items exploit [Lupus]
2005/08/19
	* Fully updated Glastheim to real ep8.5 aegis spawns [MasterOfMuppets]
	* Updated refine npc to stop it from making the server crash (features = 1,
	  refining past safe level) [Skotlex]
	* Updated Glastheim spawns
	* Added new items, fixed items, added new official drops [Lupus]
	* Added a temp shop of official sellable items 8) [Lupus]
2005/08/18
	* Added anti-Taekwon Class protection into Valhalla, into Adoption NPC [Lupus]
	* Added Zealotus Mask Quest with official items (now tested) [Lupus]
	* Fixed hat_seller.txt items. thx 2dshome [Lupus]
2005/08/15
	* Updated Ayathoya spawns as per the info given by Ishizu. [Skotlex]
	* Fixed one more Novice Skill exploit, otpimized variables usege a bit. [Lupus]
	  thanks to Mellowz, for pointing it out
2005/08/09
	* Fixed position of Lothar (from IRC), and MrSmile Girl pos at Prontera, txh to dshome [Lupus]
	* Added some Acky's custom scrips (Lottery, MVM, Stock Market, Shifty Assassin, Morroc Raceway, Russian Roulette)
	* Added custom quest on a Bandit Beard (by Mega Man Expert) [Lupus]
	* Fixed logging bugs in THQ shop [Lupus]
2005/08/02
	* Added anti-novice protection to Ayothay OBB quest [Lupus]
	* Changed order of adding up Economy thanks to kyoki [Fredzilla]
2005/07/30
	* Few NPC fixes reported on in "SVN Script Fixes" [Fredzilla]
2005/07/25
	* Totally Updated Louyang shops. Added Driller monster spawn into UmbalaDun2. thanks to MasterOfMuppets [Lupus]
2005/07/23
	* Fixed value overflow (RSX MVP respawn delay) thanks to Valaris
2005/07/16
	* Fixed a map name typo in the Prontera fields mobs spawn file. (thanx 2Gwendalin) [Lupus]
	* Added NOLOOT, NOEXP mapflags files (thanks to Lorky,OSKOM) [Lupus]
	* Updated Louyang monsters spawn (thanks to MasterOfMuppets) [Lupus]
2005/07/12
	* Fixed the th**f typo everywhere. [Skotlex]
	  (too many changes to bother bumping the script versions)
2005/07/11
	* Changed guild castle flags names according to iRO naming [DracoRPG]
	* Fixed small item check error in refine.txt thanks to -Vitamin- [massdriller]
	* Removed some warps dupes in WARPS. Rearranded Einbroch and Airplane&Airport warps [Lupus]
2005/07/10
	* Added Custom Auctioneer script by request of Lupus [Fredzilla]
	  (Also added my WoE Setter because of all the people who cant set WoE themself)
2005/07/09
	* Added Novice Castles Usher NPC. [Lupus]
		Now you have access to 4 N Guild castles. They don't have
		dungeons. And 2nd Classes can't seize these Castles.
		These new castles need a new strategy. It would bring some
		fun and live to your game.
		NOTE: If your Guild Master is 2nd class, then he could
		rule the Castles and gather Treasure Boxes after WoE
	* Fixed typo on JFunc2-1.txt script [Skotlex]
	* Now adoption.txt NPC can teach parents/babies their missing family skills [Lupus]
	* Added Novice Guilds warps. Fixed some mapflags. NG WOE NPC is coming soon. [Lupus]
2005/07/08
	* Fixed new_hats_0625.txt, thanx to vicious_pucca [Lupus]
2005/07/07
	* Hunter Job Quest: Infinite Arrows exploit fix [Lupus]
	* Fixed a small burried treasure map error thanks to kyoki. [massdriller]
2005/07/04
	* Added Lorky's NEW HEADGEARS quests (according to the patch 2005/6/14) [Lupus]
	  Please, feel free to fix, imporve, etc. (all the URLs are in the script)
2005/07/03
	* Added few missing mobs to Jawaii, updated Peco/Falcon Renter [Lupus]
	* Added new hairstyles to the stylist NPC. [Mass Zero]
	* Fixed Job Quests exploits (Advanced Classes were able to pass their 2nd job quests again) [Lupus]
	  High Novices were able to pass Super Novice Job Quest as well. They weren't able to GET those
	  professions, tough. But there were some items exploits.
	  Now Advanced classes get reborn guides from all main Job Quest NPCs (1st, 2nd Classes)
2005/07/02
	* Replaced gmcommand with atcommand in NEWnovice NPC set.
	* Removed the Flower Band selling in Amatsu, shouldn't be sold in shops. [Mass Zero]
2005/06/30
	* Fixed 2 garbled Amatsu NPC names (thx 2MasterOfMuppets), slight optimization [Lupus]
	* Added Bluto's unofficial Airship NPC [massdriller]
	* Added Incomplete New Novice training grounds [massdriller]
2005/06/29
	* Fixed massive EXP/Loot exploits of all Job Quests (especially in the Rogue JQ) [Lupus]
	* Inserted a missing ".gat" in alberta city NPC header
	* Moved banks scripts into /banks/ [massdriller]
	* Corrected small typo in config for marraige script [massdriller]
	* Added Jawaii npcs thanks to DNett123 [massdriller]
	* Updated Sara-Chan's Lighthalzen Warps [massdriller]
	* Added Warning to config files [massdriller]
	* Reinstated in warper npc. It was missing o.O [massdriller]
2005/06/28
	* Fixed bug in Refine script that allows to bypass item & zeny restrictions thanks to sir_loon [massdriller]
	* Updated Lunatik's Jobchanger [massdriller]
	* Moved healers into /healers folder [massdriller]
	* Added Skotlex's marraige script [massdriller]
2005/06/24
	* Changed Guild Castle Manager to make Emsolute/Permanent Development affect only economy
	  investment [DracoRPG]
2005/06/22
	* Added baby support to Dancer quest [Fredzilla]
2005/06/21
	* Fixed a wrong required item in Sea Otter Hat quest, thanks to frugal [DracoRPG]
2005/06/18
	* Updated Lightharzen warps to Sara-chan's v1.2 [Lupus]
2005/06/16
	* Added Sara-chan's Lightharzen warps [celest]
2005/06/13
	* Fixed Heart of Ymir location/sprite, thanks to Poki#3 [DracoRPG]
2005/06/10
	* Fixed small error in Dye_maker, was trying to del an non-existant item, instead on mixture
	  Thank you Terminal Vertex
2005/06/05
	* Fixed another error [Lunatikbunnie]
2005/06/03
	* Fixed an error in the jobmaster script [DracoRPG]
2005/06/02
	* Corrected error in Jfunc under priests [massdriller]
2005/06/01
	* Added Field update - Einbroch and Lhztargen thanks to sara [massdriller]
	* Added New optimised jobchanger [Lunatikbunnie]
2005/05/31
	* Added my own dev npc too [massdriller]
	* Fixed incorrect checkers for Jfunc2-1 [massdriller]
	* Fixed a typo in Jfunc1-1 [massdriller]
	* Added my own devnpc =P [Kevin]
	* Optimised darkchild's MVP arena [massdriller]
2005/05/30
	* Scripts reorganizing [DracoRPG]
	* Changed swordsman -> swordman in the files names [DracoRPG]
	* Optimised Job Quests by placing checkers into JFunc1-1 [massdriller]
	- Acolyte, Archer, Mage, Merchant, Thief, Swordsman
	* Optimised Job Quests by placing checkers into JFunc2-1 [massdriller]
	- Assassin, Blacksmith, Hunter, Knight, Priest, Wizard
	* Optimised Job Quests by placing checkers into JFunc2-2 [massdriller]
	- Monk, Sage, Rogue
	- The rest can't be optimised as it is too integrated.
2005/05/29
	* Fixed a typo in an NPC [Codemaster]
	* Fixed many grammatical errors (mostly in Merchant job quest) thanks to the__android [DracoRPG]
2005/05/28
	* Reorganized scripts (npc/) folder. [Ancyker]
2005/05/25
	* Changed Ayothaya to Ayotaya. (In the scripts, iRO calls it Ayotaya.) [Mass Zero]
	* Removed lots of unneccesary spaces from the Ayotaya poetry script. [Mass Zero]
	* Fixed various gramatical errors in the Uneasy Cemetary, Valkyrie cite, Lou Yang
	  city, Ayotaya city Buny Band quest and Bard jobchanger scripts. [Mass Zero]
	* Added Rebirth/Advanced class support to the Universal Renter. [Mass Zero]
2005/05/23
	* Fixed various gramatical errors in the Dumpling Festival, Twin Towers,
	  Valentine's Day and X-mas scripts. [Mass Zero]
	* Removed useless quotation marks (") in the Acolyte jobquest. [Mass Zero]
2005/05/22
	* Fixed a typo in guild castles' manager, thanks to the__android [DracoRPG]
2005/05/17
	* Fixed Crusader Quest.(Thanks to Komurka) [massdriller]
2005/05/16
	* Small fix in the Dancer Job NPC and added checks for skill using,
	  Improved Concentration and Arrow Shower [Fredzilla]
	* Cleanup in NPCs that are enabled by default : removed most of custom ones
	  (including dev NPCs, WoE warper, Ayothaya poetry...) [DracoRPG]
	* Added an Orc Hero Helm quest, custom but as accurate as possible [DracoRPG]
2005/05/15
	* Added Dancer Job quest NPC [Fredzilla]
	* Fixed some Ayothaya warps, thanks to Fress_Boy [DracoRPG]
2005/05/14
	* Fixed some more typos in city scripts [massdriller]
2005/05/09
	* Added new Sara-chan's maps / warps for Einbroch and Lhztargen [Lupus]
	* Fixed some typos [massdriller] (Thanks to neko for point those out)
	* Fixed Ayothaya warps.[massdriller] [Thanks to akusarujin]
2005/05/07
	* Modified and added more npc location for healers [massdriller]
	* Added city cleaners as these were reported systems that exist
	  in IRO & KRO [massdriller]
2005/05/05
	* Balanced THQ Shop prices, fixed one missed label [Lupus]
2005/05/04
	* Removed Horse Crest from the temp shop [Lupus]
	* Borrowed Easter Event fix from Freya [Lupus]
	* Fixed some script typos, thanks to zBuffer and Er Pirata
2005/04/29
	* Alarm Mask Quest corrected txt 2 Shadow
	* Added Penal Servitude script. Some quest for prisoners [Lupus]
	  This script works with kafra_bank.txt script
	* Fixed a typo in the warpra, thanks to ShAPoNe
2005/04/27
	* Added Einbroch and Ayothaya, cites and dungeons, to the Warpra [Fredzilla]
	* Added the Engagement Quest into Ayothaya [Fredzilla]
	* In accordance with this quest I have also added some needed warps
2005/04/26
	* Some fixes of THG Quest [Lupus]
	* Corrected view for Whitesmith NPC, thanks to Disiesel
2005/04/25
	* Fixed typos in novice and thief job quests, thanks to zlider
2005/04/23
	* Fixed 2 scripts which used old job_baby constant [Lupus]
	* Removed old duplicate job change in Alchemist job quest, thanks to NeoSaro [DracoRPG]
	* Added Hatii Baby spawn [Lupus]
2005/04/21
	* Fixed THQ penalty again, added anti-cheat stuff [Lupus]
	* changed item_avail.txt to support THQ [Lupus]
	* Added Baby Class Support to Vallhallana. [Lupus]
	* Added a missing check. Now Baby Classes can get 1st job [Lupus]
	* Fixed few things in THQ Quest NPCs [Lupus]
2005/04/20
	* Converted Treasure Hunters Guild (40 New Quests + Guild Shop) [Fredzilla]
	* Added time penalty to THQ. To prevent exploits. [Lupus]
	* Fixed Super Novice Job Quest (thanks to guy from eA forums .... <-- his name will be here)
	* Removed one warp from Swordsman Assiciation (due to overlapping Job Quest Warp) [Lupus]
	* Adding more NPC's to Louyang [celest]
	* Updated Louyang city script, thanks to Dino9021
	* Fixed Crusader Job quest (again). And several typos [Lupus]
	* Fixed a typo in the custom jobchanger, thanks to manutdcom
2005/04/19
	* Added custom jobchanger fix by Zoc
	* Added custom Adoption script by Fredzilla [Lupus]
	* Removed annoying Kafra Storage issue [Lupus]
	* Fixed some Job Quests bugs (wrong constants, wrong variable names, etc) [Lupus]
	* Redo tons of NPC - added Baby Class support to all renters, job questsm etc [Lupus]
	* Added skillpoint check to Rogue job quest, thanks to Dino9021
2005/04/17
	* Changed the assassin job quest npc to do an area announce instead of global,
	  thanks to NeoSaro
	* Fixed a typo in Aldebaran script, thanks to NeoSaro
2005/04/16
	* Added more correct Einbroch/Einbech monster spawn [Lupus]
	* Fixed 1 warp map name - ein005a thx 2Exyle [Lupus]
2005/04/14
	* Fixed typos in Louyang's mob spawns, thanks to Gwendalin
	* Added nomemo mapflag to valkyrie, thanks to Dino9021
	* Fixed typos in Alchemist JQ, Fixed bugs and typos in Assassin JQ [Lupus]
2005/04/09
	* Added Einbroch monsters spawn, fixed one mapflag for Einnech mines [Lupus]
	* valkyrie.txt Fixed: now alternative classes can use their 1-1 job NPC to become Advanced 1st Class [Lupus]
2005/04/08
	* Fixed some Rogue Job Quest bugs [Lupus]
2005/04/06
	* removed previous "fix". Please, never submit "fixes" w/o checking. [Lupus]
	  that guy didn't know about a special SN Kafra from supernovice.txt file.
	* fixed payon's gemstones exchanger [Lupus]
	* Set PCLoginEvent.txt to disabled by default [celest]
2005/04/04
	* Changed "set @TEMP,rand(0);" to set "@TEMP,0;" in the Payon Fortune Teller script [DracoRPG]
	  We'll have to get all the fortunes, but they are more than 200...
	* Finished Payon's Gemstone Exchanger, thanks to Dino9021 [DracoRPG]
	* Added Deviling in the "Poring Island" map pay_fild04, 2 hours respawn [Lupus]
2005/04/03
	* Finished Valkyrie. Now it correctly works. Valhallana reborns players to High Novices. [Lupus]
	  (added missed kRO condition: to reborn, player shouldn't have money nor items(equipment) )
	  Then Valhallana warps just reborn players to the home city of their main job.
	  On Job Level 10 of High Novice they can get 1st Advanced Job from correct 1-1 job quests NPC.
	  They'll get there all learnt skill quests.
	  On reaching 45 Job Level they may visit Valkyrie and get 2-2-1 / 2-1-1 class (3rd Job)
	  from a correct NPC.
	* Fixed SKILL POINTS exploit in Assassin Job Quest [Lupus]
2005/03/31
	* Payon : new NPCs scripted as far as I could and old ones updated (all from iRO) [DracoRPG]
	* Corrected a G_GRYPHON spawn in umbala field to GRYPHON, thanks to CrasherZero
2005/03/29
	* Corrected Amatsu warp points, thanks to Dino9021
2005/03/28
	* Corrected Yuno warp points, thanks to Dino9021
	* Added Yuno warps to the Aldebaran kafra NPC, thanks to Dino9021
2005/03/27
	* Fixed Ant Hell warps, thanks to Dino9021
	* Corrected positions for Thief and Archer quest skills NPCs, thanks to Dino9021
2005/03/24
	* Added support for Emsolute Develop in the guild manager script [celest]
	* Fixed the custom jobchanger allowing Super Novices to change to high novice,
	  thanks to CavaCava
2005/03/23
	* WOE 1.3 Now you can't install Guardians during WOE [Lupus]
	* Set only Storage/Cancel to Kafra in Niflheim. [Lupus]
2005/03/22
	* Moved position for Marx Hansen to payon_in03, thanks to Dino9021 [celest]
2005/03/18
	* Reduced label name length in heal_payment.txt [celest]
	* Added Sara-chan's Einbroch/Einbech city warps [celest]
2005/03/17
	* Fixed more typos in /cities/payon.txt, thanks to TheUltimateEnd [celest]
2005/03/16
	* Fixed some typos in /cites/payon.txt, thanks to Hibiki [celest]
2005/03/15
	* Fixed some typos in shops.txt, thanks to Dino9021 [celest]
	* Fixed some bugs in the 32 new hats script, the custom jobchanger and platinum
	  skills script, thanks to midas [celest]
2005/03/11
	* Reverted the Moving HP skill quest change, thanks to DracoRPG [celest]
2005/03/07
	* Fixed a typo in high mage job changing, thanks to hongmei [celest]
2005/03/03
	* Fixed Moving HP skill quest
2005/02/28
	* warps/louyang.txt: Added 2 escapes from 2 mountains 018,019 [Lupus]
	  Some players used to stuck there after warps
2005/02/27
	* Fixed some bugs in Monk Job Quest. Now it's fully passable. [Lupus]
	  Going to brush it up a bit later. First have to re-check Crusader+Assassin+Rogue quests ^_-
2005/02/26
	* Now players can reach Guilds Dungeons only trough their own captured castles. [Lupus]
		Before they coulkd enter the dungeons vie unoccupied castles. Thanks 2Ishizu-chan for fix
2005/02/16
	* Fixed 1 payon castle guardian spawn coords
	* Fixed Wootan and Beetle King names in the spawn files [Lupus]
	* Fixed a typo in quests/all_quest.txt, thanks to hongmei [celest]
	* Fixed treasure chests spawn in the castles. (had to simplify some code and unroll some loops) [Lupus]
2005/02/13
	* Added midas's fixes for bugs in the novice training ground and the custom
	  jobchanger script [celest]
2005/02/10
	* Fixed Wizard job quest (made only one agressive mob in the last room) [Lupus]
2005/01/10
	* Fixed some typos and exploits in the Blacksmith and Hunter job quest,
	  thanks to Riotblade and nonox
2005/01/09
	* Modified guild war scripts to fix a bug for duplicate guild storages. [Codemaster & Ajarn]
2005/01/08
	* Added the new Yuno field warps by Sara-chan [celest]
2005/01/02
	* Added missing Spore Doll to the Kaho Horns NPC (God... this was reported
	  months ago)
	* The 'Lothar' NPC was asking for the wrong items, corrected thanks to Death's Mage
2005/01/01
	* Fixed some respawn delays of MVP/Miniboss monsters. Redo Umbala/Niflheim fields, added missing mobs, corrected
	  monsters quantity. In Niflheim fixed wrong Lord of Death monster ID. [Lupus]
2004/12/30
	* Fixed typo in priest.txt. [Mass Zero]
	* Fixed some missing stuff, made monk.txt loading [Lupus]
2004/12/29
	* Added Dino9021's monk job quest script - still need checking before adding to
	  scripts list [celest]
	* Added gvg mapflags to the guild dungeons, and removed 4 items from
	  item_avail.txt, thanks Poki [celest]
	* Translated npc/sample/npc_extend_shop.txt [MC Cameri]
	* Translated npc/sample/bank_test.txt [MC Cameri]
	* Fixed respawn delay of Toad and Golden Thief Bug (it was the actual_delay/2). Mob placement files should be revised again [Lupus]
2004/12/27
	* kafra_bank.txt added an extra exploit protection [Lupus]
	* kafra_bank.txt was missing an npc label [celest]
	* Reverted gldfunc_dunsw.txt back. Some people report RC5 bugs, which have been fixed some months ago.
	  Next time always CHECK and READ the code, before implementing some stupid "fixes" from the forums 8) Peace [Lupus]
	  PS I'm reverting more guild files soon, to make them show the flags.
2004/12/24
	* Fixed Whitesmith.txt, was on top of another npc [Ajarn]
2004/12/23
	* Added logs into kafra_bank.txt (it keeps logs of all bank operations! Very handy to find abusers/cheaters) [Lupus]
2004/12/22
	* Added Arrow Quivers to the scrolls_arrows.txt and removed some rare arrows from the shop [Lupus]
	* Corrected a typo in other/pvp.txt [Ajarn]
2004/12/21
	* Corrected position of start { in a crap load of scripts. [Ajarn]
	- jA decided that it had to be on the definition line
	- So, if it wasn't, the next script wouldn't load
	* Corrected script errors in devnpc.txt [celest]
2004/12/20
	* Addded npcs_athena.conf, OA style [MC Cameri]
	* made samesex marriages give out the correct rings [MouseJstr]
	* Changed $progress -> $@progress in wedding.txt (shadowlady put in comments but didn't add to code) [Aria]
	* xmas.txt: Added Xmas Jakk, fixed 2 possible items exploits, fixed reward Box ID [Lupus]
2004/12/18
	* My NPC is back in action [Aria]
	* Added 2 temp kRO shops which sell Arrows, Magic Scrolls. Prices,coords, sprites are unsure, but exploitless [Lupus]
2004/12/12
	* Added Town Inn's counting in my npc/other/mc_cameri/warper.txt [MC Cameri]
2004/12/11
	* Fixed memory consumption in npc/other/mc_cameri/warper.txt [MC Cameri]
2004/12/10
	* Added npc/other/mc_cameri/warper.txt, a warp npc just like warper2.txt that shows how many people are on each map. [MC Cameri]
	* Newgearquests (14 files of 16) fixed possible exploits, added a missing close;
	  According to kro, changed ingredients of Indead Hairband quest [Lupus]
2004/12/08
	* Changed ingredients of Ears of Demon Quest: Deviruchi Hat -> Evil Wing [Lupus]
	* Added translated shop names for the Extended Shop, I'unno who made it. o.O; [Mass Zero]
	* Changed Lord of Death spawn intervals to 90 minutes based on jRO [celest]
	* Added nomemo flags for Niflheim and some maps [celest]
	* Corrected Niflheim shops and Morroc jewel merchant - should sell Ruby
	  instead of Pearl [celest]
2004/12/07
	* Added npc/other/mc_cameri/heal.txt, a heal npc that is as simple as one click healing [MC Cameri]
	* Fixed Al De Baran to Mjolnir warp in Al De Baran [MC Cameri]
	* Fixed all Newgear quests: arjen.txt,back_ribbon.txt,bear_hat.txt,burning_blood_bandana.txt,cat_hairband.txt
		fox_mask.txt,hat_seller.txt,indian_headband.txt,mask_of_alarm.txt,mushroom_hairband.txt,neris.txt
		old_blacksmith.txt,posture_fix_hat.txt,sea_otter_hat.txt,traveler.txt,tulip_hairpin.txt [Lupus]
	* Fixed missing labels, missing delitem, wrong zeny amount, wrong items id, spelling [Lupus]
	* Added Fox Mask quest. [Mass Zero]
2004/12/06
	* Added seperate quests for the new headgears, missing Fox Mask and Orc Hero Helm. (I'll so 'em ASAP.) [Mass Zero]
2004/11/30
	* Added Lutie shops
	* Corrected some typos, thanks to leinsirk10
2004/11/28
	* Added missing Niflheim monsters [shadow]
2004/11/27
	* Added some Lou Yang NPC's [Mass Zero]
	* Get Freya fixes of crusader.txt (announce->areaannounce), Mr.Smile(removed vulgar words) [Lupus]
2004/11/23
	* - Fixed repairman prices (5k)(someone need to check if it requires a steel) [shadow]
2004/11/22
	* - Now wedding merchant sells tuxedos for 43k, implemented a easier way to change prices of weddings.
	  - Fixed wrong label calling on jobchange.txt.
	  - Fixed a timer on momotaro.txt and translated tougijou.txt. Thanks to Shinomori .[shadow]
2004/11/20
	* Reduced walking speed for davidsiaw's Dev NPC. [MC Cameri]
	* Fixed some typos in MC Cameri's Dev NPC, walking speed, etc. [MC Cameri]
	* Fixed spawns on umbala fields, Fixed spawn point of Amon Ra in morroc pyramids B2 [shadow]
2004/11/21
	* niflheim.txt: some typos in some variables fixed (thx 2 Dr.Evil) [Lupus]
2004/11/19
	* cmd_fild02.gat: fixed respawn delay of one Seal [Lupus]
	* ev_agit_event.txt: Implemented Shadowlady's idea of allowing different woe start/stop times
	  for different days of the week.[kobra_k88]
2004/11/18
	* Fixed typo in payon.txt [celest]
	* - Fixed infinite zeny exploit in novice_skills.txt(other quest skills npcs need revision!!!)
	  - Fixed typos on izlude.txt, wrong label in umbala.txt [shadow]
	* Added custom WOE warper (now you can get to Novice Castles from Prontera) [Lupus]
	* Prontera.txt (Sewers) anti-novice exploit fix. should be added to any quests/banks where u once get free items/zeny [Lupus]
2004/11/17
	* Added poetry npc to ayothaya [MouseJstr]
	* Fixed valkyrie.txt (wrong condition check, temp var->perm vars) but it still has no exit for common players [Lupus]
	* - Fixed guardians hp not updating when investment in defense is made.
	  - Moved treasure spawn times to ev_agit_event.txt.
	  - Changes to headers and comments in various scripts.[kobra_k88]
2004/11/16
	* - grandpa_pharmacist.txt: Added subfunction for potion making as well as zeny/input
		exploit safeguards. Used Lupus's "loopless" technique.
	  - juice_maker.txt: Added subfunction for juice making.  Also changed amount of
		fruit needed to 1.
	  - milk_trader.txt: Used Lupus's "loopless" technique.  Added input exploit safegaurd.
	  - clothes_dyer.txt: Disabled dye for male Assassins.
	  - xmas.txt: Corrected some typos. [kobra_k88]
	* - Removed Empty Bottle from amatsu shops to prevent exploits.
	  - Fixed Npc Position on Lutie( warper.txt and warper2.txt). [shadow]
2004/11/15
	* - Fixed xmas.txt X-mas event, now you get a gift box when you first talk to Santa.
	  - Same script again...Fixed the spawns, its 1 antonio per map, and it was using only santa poring IDs. [shadow]
2004/11/14
	 - Fixed niflheim kafra. [shadow]
	 - Added the total new set of Advance Jobchangers after kRO description and screenshots. [Nana]
2004/11/13
	* - Translated and Fixed momotaro.txt event [shadow]
	* - Deleted folder other/old which was empty [MC Cameri]
	* - Fixed MC Cameri's Bank NPC for the new payon [MC Cameri]
	* - Fixed warps to Amatsu Dungeon (now u can get there via a special quest only) thanks to shadowlady [Lupus]
	  - Fixed logical bug in Sleipnir Alchem. sub-quest [Lupus]
2004/11/11
	* - Fixed Jobchanger.txt and supernovice.txt [shadowlady]
2004/11/10
	* - Fixed a bug on counteragent_mixture and quest_yuno(need to revise alchemist quest) [shadow]
2004/11/08
	* - Temporary corrected an expliot in refine.txt.  Need to check sources to fully fix bug [Shinigami]
	* - Fixed 2 bugs on jobchanger.txt , not being able to change to Creator and Clown,
	  - Fixed a bug on mage.txt, not deleting the quest items.
	  - Fixes on bongunsword.txt and fashion.txt , wrong spaces and quest items.
	  - Added new Ayothana Mob listing, correct IDs, but need correct amount and respawn time. [shadow]
2004/11/07
	* - Fixed platinum_skill.txt, now advanced classes get quest skills.
	  - Fixed a bug on novice.txt . [shadow]
	* - lutie.txt: Edited text, updated/corrected triggers for the Jack Frost quest.
	  - comodo.txt, morocc.txt, doomed_swords.txt: Implemented all of the triggers for
	    the Doomed Swords quest based on mRO's version.  Now the quest is much longer.
	  - pvp.txt: Added PvP Narrator function. Using args for Fight Square Helpers.
	  - Corrected some typos in item_db. Items 1143 and 1719 need to be re-checked.[kobra_k88]
2004/11/05
	* Fixed and redo optional Umbalian quests:
	- Wise Man Fabius' Umbalian Language Quest (you can learn Umbalian language in
	  alternative way)
	- On speaking with Umbalian Chief about meaning of masks you activate Turban Thief Quest
	  (For Sphinx Mask)
	* Fixed several bugs in Niflheim Piano Keys Quest (wrong variable name, missing CLOSE buttons)
	  Zeny/Item Exploit in Niflhein Sairin NPC quest (should add similiar checks in every
	  easy quests with expensive prizes to avoid exploits) [Lupus]
2004/11/05
	* Added easter and xmas event npcs.  Added custom blackjack npc.[kobra_k88]
2004/11/02
	* Added unofficial nguild castles.  Updated stats for Stone Shooter, Wooden Golem, Hyegun,
	  Civil Servant, Dancing Dragon, Baby Garm, and Increase Soil mobs in mob db.  Drops are still
	  missing for some of them.[kobra_k88]
2004/11/01
	* Set Comodo Kafra to warp to Umbala (11/2/04 patch) [Aria]
2004/10/31
	* Fixed Dev NPCs giving off errors... [Aria]
	* Fixed prob. with duplicating mobs in wizard.txt.  Corrected some item names in sage.txt.
	  Corrected mode values for hornet, wolf, baby desert wolf, and peco peco in mob db.[kobra_k88]
2004/10/30
	* Commented out unfinished Dev NPCs and added npc line to map_athena.conf [Aria]
2004/10/29
	* Added missing Lmenu label to novice.txt.[kobra_k88]
2004/10/27
	* Re-organized mob scripts.[kobra_k88]
	* Updated mob placements with info from emperium.org.[Lupus]
	* Fixed Aldebaran (gatekeeper conditions bugs and wrong Key ID). Fixed some typos in other cities [Lupus]
	* assassin.txt, rogue.txt: added clothes dye reset before job change since thiefs with custom dyes
	  were getting errors upon job change. Updated towns.txt and nopenatly.txt mapflags.[kobra_k88]
2004/10/26
	* Added more quotes -_- [Aria]
	* Fixed Mouse's devnpc only saying his quotes once per server reset [Aria]
	* Fixed Umbalian Quest, fixed Amatsu, fixed Niflheim NPCs, Warper2 NPC, fixed 1 warp [Lupus]
2004/10/25
	* updated Mousejstr in devnpc [ MouseJstr]
2004/10/23
	* Finished Aria and MC Cameri "Dev edition" NPCs. [Aria]
	* gldfunc_ev_agit.txt: added F_AgitEnd func.
	  prtg_guardians.txt: fixed typos where I used OnInit instead of OnAgitInit.
	  Minor cosmetic changes to various guild script files. [kobra_k88]
2004/10/21
	* Replaced some checkcart and checkoption(x) with checkcart(0) in the guild folder [Aria]
	* Waiting for various devs to tell me their coords, map, biography, quotes,
	  moving coords, etc. In the meantime, I replaced them with (x,y),(lols),
	  (sprite),(somewhere), and if they didn't give me any info, I didn't
	  add them yet =P. [Aria]
	* Added Davidsiaw, Shinigami, Lord, Codemaster, MouseJstr, MC Cameri, and Darkchild
	  to "Dev edition" NPCs [Aria]
	* Revised "Dev edition" NPC layout a bit, should go smoother now. Should be final
	  layout unless something goes wrong =O. [Aria]
	* Changed "Dev edition" NPC layout so that they move by themselves by timers. [Aria]
	* Changed "Dev edition" NPCs to walk during quotes, and added biography. [Aria]
	* Fixed quest/all_quest.txt not showing the correct description of the binoculars. [Aria]
	* Fixed quest/all_quest.txt not going to stop pass and not displaying requirements. [Aria]
	* Fixed clothes_dyer.txt: Disabled Assassing/Rogues Dye. Also fixed wrong labels [Lupus]
	* Fixed hair_dyer.txt: fixed missing menu label [Lupus]
	* new_hats.txt 1.4 fixed amount of Fish Tail (300 -> 30), Zeny bugs in Ear of Angel,
	  Ear of Demon,Big Golden Bell, Mistress Crown,
	  Crown of The Ancient Queen, Indian Headband, Orc Hero Helm [Lupus]
	* Fixed name of a flower in Prontera quest (Dreamy->Illusion) according to our DB [Lupus]
	* Fixed item names in the temp Crusader Job Quest according to our DB [Lupus]
2004/10/20
	* Finished basic layout, finished Aria starting to create Shinigami [Aria]
	* Started to create "Dev edition" npcs [Aria]
	* Fixed Castle aldg504-1 warp [Lupus]
	* Fixed Payon's Skirt of virgin quest [Lupus]
	* Fixed Doomed swords quest [Lupus]
	* Optimized mapflags (removed useless nobranc flag, where gvg flag is set)
2004/10/16
	* Fixed my stupid mistake with the guild switches.
	  Moved shops from umbala.txt to shops.txt.  Commented out the other ones.
	  Updated mapflags and re-organized them again.  Files in "mapflag\type" folder are the
	  same as ones in "mapflag" folder, just organized differently.  ONLY use 1 set.[kobra_k88]
	* Corrected Morroc warp npc overlaying Kafra npc. [Aria]
	* Corrected kafra typo. [Shinigami]
	* Corrected zeny amount subtracted for iron hammer in refine.txt[kobra_k88]
2004/10/15
	* Added kafra_bank NPC - a new bank with daily interst of 0.1#%. [Lupus]
2004/10/14
	* Kafras: Fixed some minor typos. Corrected savepoints for geffen, orc dun, comodo kafras.
	  Added another argument to F_KafEnd. Added correct payon warp point.[kobra_k88]
	* Forgot some qutoes in class check function calls in Blacksmith, Assassin, Wizard, Hunter
	  quests, added them.[kobra_k88]
	* Added optimized version of WoE scripts.  Moved old version to "old" folder.
2004/10/07
	* Fixed Doctor Band items [Lupus]
2004/10/06
	* Removed a left over if statement that caused the Blacksmith script to hang durring
	  job change.[kobra_k88]
2004/10/04
	* Implemented class check functions in all skills quests except novice. [kobra_k88]
	* Implemented class check functions in hunter, blacksmith, wizard, and
	  assassin quests.  Fixed some bugs in assassin quest.  Also implemented
	  new Ontouch label function and close2 command in assassin.txt.(see file for details). [kobra_k88]
	* Removed single job check functions from Global_Functions.txt and completed
	  the rest of the multiple job check funtions.  Also added advanced and high
	  job classes to the checks.[kobra_k88]
	* Fixed some typos in inn.txt.  Switched from @variables to arguments. [kobra_k88]
2004/10/03
	* Minor changes in Counteragent/Mixture Morgenstein Quest, a fix of Uneasy Cemetary [Lupus]
2004/10/02
	* Added Crusader Quest [Lupus]
2004/09/26
	* Cleared Up Npc Folder For Release [Darkchild]
2004/09/24
	* Added Sage Job Quest [Darkchild]
	* Updated a few Payon files [Darkchild]
		- Removed Double Warp
		- Placed BunnyBand Quest Npc Better
		- Updated Pvp People's Locations
		- Updated Warper/Warper2 Loc and Warp
		- Same for Wapra 2
		- Removed Msg Boards In Payon
		- Updated Heal and Heal Payment Loc
		- Commented Out a Falcon Renter which shouldnt be there
		- Updated Guide's Viewpoints
		- Bugs Were All Reported On The Forums
	* Update Heal and Heal Payment Npcs To All Be Healrings [Darkchild]
2004/09/23
	* Added a loopless option "Gimme as many as possible" into Juice Maker quest [Lupus]
2004/09/19
	* Added missing warp mjol17 [Lupus]
2004/09/17
	* Added Correct Niflheim Dialogs
2004/09/16
	* Added nude; to palace guard in payon, will disarm player [Darkchild]
2004/09/14
	* Added New Dye Npc, Has 'browse' option [Darkchild]
	* Fixed skillpoints check in Hunter Job Quest [Lupus]
2004/09/13
	* Added better save point inside city for payon [Darkchild]
	* Fixed lil bug in Drunk npc in payon [Darkchild]
2004/09/12
	* Deleted Old Non-Quest Alchemist Job Change [Darkchild]
	* Added Alchemist Job Quest [Darkchild]
	* Added Alchemist Shop [Darkchild]
	* Changed Bain Bro's To Work With Alchemist Quest [Darkchild]
	* Changed CounterAgent and Mixture Quest To Work With Alchemist Quest [Darkchild]
	* Added Inn Npcs [Darkchild]
2004/09/10
	* Added cities/payon.txt. All Npcs at correct location, only 5 npcs arent translated. [Darkchild]
	* Submitted Alchemyst Job Quest and Sage Job Quest (to help DC in his work). These quests are ports. [Lupus]
2004/09/07
	* Better New Payon, All Except cities, will do 2morrow :P [Darkchild]
	* Added Rogue job quest. [kobra_k88]
	* Added missing cutin commands to town guides. [kobra_k88]
	* Removed the delitem 2312(padded armor) in swordman_skills.txt as the
	  armor is not supposed to be removed. The npc is only supposed to check
	  for it and not delete it.  This is how it is on official servers. [kobra_k88]
	* Removed duplicate waprs from izlude.txt, comodo.txt, morroc.txt, and jobquest.txt.
	  Added complete rogue warps. Removed traingnd.txt file as those warps are
	  already in jobquest.txt.  Added correct tabs to first 2 warps in louyang.txt. [kobra_k88]
	* Fixed various typos in kafra files.  Now using arrays for the teleport service.
	  Also added guild options. [kobra_k88]
2004/09/06
	* Forgot the dun/field warps for payon, added now! [Darkchild]
	* Fixed: add a forgotten "delitem 2312,1;" in quest/skills/swordmand_skils.txt [Yor]
2004/09/05
	* Fixed 2 Bugs In Super Novice Script [Darkchild]
	* Added Super Novice Official Quest [Darkchild]

	- Started Changelog:		Same As Normal Changelog, but now for scripts, here we can put every lil thing we change :)
